"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _overlays = require("@react-native-aria/overlays");
var _useViewport = _interopRequireDefault(require("./hooks/useViewport"));
var _Context = _interopRequireDefault(require("./Context"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const propTypes = {
  children: _propTypes.default.node.isRequired,
  // eslint-disable-next-line react/forbid-prop-types,
  utilities: _propTypes.default.object,
  // eslint-disable-next-line react/forbid-prop-types,
  modifiers: _propTypes.default.object,
  ssrViewport: _propTypes.default.string
};
function Provider(props) {
  const {
    children,
    utilities = {},
    modifiers = {},
    ssrViewport
  } = props;
  const viewport = (0, _useViewport.default)(ssrViewport);
  const fixed = (0, _react.useMemo)(() => [], []);
  const counter = (0, _react.useRef)(0);
  const context = {
    utilities,
    modifiers,
    fixed,
    getViewport() {
      return viewport;
    },
    addFixedElement(ref) {
      fixed.push(ref);
      return {
        remove() {
          const index = fixed.findIndex(item => item === ref);
          fixed.splice(index, 1);
        }
      };
    },
    generateKey(prefix) {
      counter.current += 1;
      return `ui-${prefix}-${counter.current}`;
    }
  };
  return /*#__PURE__*/_react.default.createElement(_Context.default.Provider, {
    value: context
  }, /*#__PURE__*/_react.default.createElement(_overlays.OverlayProvider, null, children));
}
Provider.propTypes = propTypes;
var _default = exports.default = Provider;
//# sourceMappingURL=Provider.js.map