"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _reactNative = require("react-native");
var _StyleSheet = _interopRequireDefault(require("../style/StyleSheet"));
var _css = _interopRequireDefault(require("../style/css"));
var _utils = require("../utils");
var _TextStyleContext = _interopRequireDefault(require("../style/TextStyleContext"));
var _useMedia = _interopRequireDefault(require("../hooks/useMedia"));
var _useStyle = _interopRequireDefault(require("../hooks/useStyle"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const propTypes = {
  children: _propTypes.default.node.isRequired,
  // eslint-disable-next-line react/forbid-prop-types
  style: _propTypes.default.any,
  // eslint-disable-next-line react/forbid-prop-types
  textStyle: _propTypes.default.any,
  // eslint-disable-next-line react/forbid-prop-types
  styleName: _propTypes.default.any
};
const styles = _StyleSheet.default.create({
  body: (0, _css.default)`
    background-color: $body-bg;
    flex-grow: 1; // added for bootstrap-rn
    flex-shrink: 1; // added for bootstrap-rn
  `,
  'body --text': (0, _css.default)`
    color: $body-color;
    text-align: $body-text-align;
  `
});
const Body = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    children,
    style,
    textStyle,
    styleName,
    ...elementProps
  } = props;
  const classes = (0, _utils.getStyles)(styles, ['body']);
  const textClasses = (0, _utils.getStyles)(styles, ['body --text']);
  const media = (0, _useMedia.default)();
  const resolveStyle = (0, _useStyle.default)([classes, style], styleName);
  const resolveTextStyle = (0, _useStyle.default)([textClasses, textStyle]);
  return /*#__PURE__*/_react.default.createElement(_reactNative.SafeAreaView, _extends({}, elementProps, {
    ref: ref,
    style: resolveStyle({
      media
    })
  }), /*#__PURE__*/_react.default.createElement(_TextStyleContext.default.Provider, {
    value: {
      style: resolveTextStyle({
        media
      })
    }
  }, children));
});
Body.displayName = 'Body';
Body.propTypes = propTypes;
var _default = exports.default = Body;
//# sourceMappingURL=Body.js.map