"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _StyleSheet = _interopRequireDefault(require("../style/StyleSheet"));
var _css = _interopRequireDefault(require("../style/css"));
var _Text = _interopRequireDefault(require("./Text"));
var _proxies = require("../theme/proxies");
var _utils = require("../utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const propTypes = {
  children: _propTypes.default.node.isRequired,
  size: _propTypes.default.oneOf(Object.keys(_proxies.FONT_SIZES).map(k => Number(k))).isRequired,
  // eslint-disable-next-line react/forbid-prop-types
  style: _propTypes.default.any
};
const styles = _StyleSheet.default.create({
  heading: (0, _css.default)`
    margin-top: 0; // 1
    margin-bottom: $headings-margin-bottom;
    font-family: $headings-font-family;
    font-style: $headings-font-style;
    font-weight: $headings-font-weight;
    color: $headings-color;
  `,
  ...(0, _utils.each)(_proxies.FONT_SIZES, (size, value) => ({
    [`.h${size}`]: (0, _css.default)`
      font-size: ${value};
      line-height: ${value} * $headings-line-height;
    `
  }))
});
const Heading = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    children,
    size,
    style,
    ...elementProps
  } = props;
  const classes = (0, _utils.getStyles)(styles, ['heading', `.h${size}`]);
  return /*#__PURE__*/_react.default.createElement(_Text.default, _extends({}, elementProps, {
    ref: ref,
    role: "heading",
    "aria-level": size,
    style: [classes, style]
  }), children);
});
Heading.displayName = 'Heading';
Heading.propTypes = propTypes;
var _default = exports.default = Heading;
//# sourceMappingURL=Heading.js.map