"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _propTypes = _interopRequireDefault(require("prop-types"));
var _View = _interopRequireDefault(require("./View"));
var _utils = require("../utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const propTypes = {
  children: _propTypes.default.node.isRequired,
  htmlFor: _propTypes.default.string
};
const Label = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    children,
    htmlFor,
    ...elementProps
  } = props;

  // Ref: https://github.com/necolas/react-native-web/issues/1651
  const forRef = _react.default.useCallback(node => {
    if (_reactNative.Platform.OS !== 'web' || !htmlFor || !node) {
      return;
    }
    node.setAttribute('for', htmlFor);
  }, []);
  const role = _reactNative.Platform.OS === 'web' ? 'label' : null;
  return /*#__PURE__*/_react.default.createElement(_View.default, _extends({}, elementProps, {
    ref: (0, _utils.concatRefs)(forRef, ref),
    role: role
  }), children);
});
Label.displayName = 'Label';
Label.propTypes = propTypes;
var _default = exports.default = Label;
//# sourceMappingURL=Label.js.map