"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _reactNative = require("react-native");
var _StyleSheet = _interopRequireDefault(require("../style/StyleSheet"));
var _css = _interopRequireDefault(require("../style/css"));
var _useMedia = _interopRequireDefault(require("../hooks/useMedia"));
var _TextStyleContext = _interopRequireDefault(require("../style/TextStyleContext"));
var _utils = require("../utils");
var _proxies = require("../theme/proxies");
var _useStyle = _interopRequireDefault(require("../hooks/useStyle"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const propTypes = {
  color: _propTypes.default.oneOf([...Object.keys(_proxies.THEME_COLORS), 'muted', 'black-50', 'white-50']),
  small: _propTypes.default.bool,
  mark: _propTypes.default.bool,
  bold: _propTypes.default.bool,
  italic: _propTypes.default.bool,
  // eslint-disable-next-line react/forbid-prop-types
  style: _propTypes.default.any,
  // eslint-disable-next-line react/forbid-prop-types
  styleName: _propTypes.default.any
};
const styles = _StyleSheet.default.create({
  text: (0, _css.default)`
    font-family: $font-family-base;
    font-size: $font-size-base;
    font-weight: $font-weight-base;
    line-height: $font-size-base * $line-height-base;
  `,
  strong: (0, _css.default)`
    font-weight: $font-weight-bolder;
  `,
  italic: (0, _css.default)`
    font-style: italic;
  `,
  small: (0, _css.default)`
    font-size: $small-font-size;
    line-height: $small-font-size * $line-height-base;
  `,
  mark: (0, _css.default)`
    padding: $mark-padding;
    background-color: $mark-bg;
  `
});
const getStyleName = (styleName, color) => {
  if (!color) {
    return styleName;
  }
  return styleName ? `text-${color} ${styleName}` : `text-${color}`;
};
const Text = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    color,
    // will be deprecated soon
    bold = false,
    italic = false,
    mark = false,
    small = false,
    style,
    styleName,
    ...elementProps
  } = props;
  const media = (0, _useMedia.default)();
  const context = (0, _react.useContext)(_TextStyleContext.default);
  const classes = (0, _utils.getStyles)(styles, [bold && 'strong', italic && 'italic', small && 'small', mark && 'mark']);
  const resolveStyle = (0, _useStyle.default)([
  // eslint-disable-next-line react/destructuring-assignment
  (!context || !context.hasTextAncestor) && styles.text,
  // eslint-disable-next-line react/destructuring-assignment
  context && context.style, classes, style], getStyleName(styleName, color));
  const element = /*#__PURE__*/_react.default.createElement(_reactNative.Text, _extends({}, elementProps, {
    ref: ref,
    style: resolveStyle({
      media
    })
  }));

  // eslint-disable-next-line react/destructuring-assignment
  if (context && context.hasTextAncestor && !context.style) {
    return element;
  }

  // If we are not in an ancestor context yet, we need to set hasTextAncestor
  // to true for nested text components. Furthermore we need to reset the
  // context style, because we only need to apply the style once.
  return /*#__PURE__*/_react.default.createElement(_TextStyleContext.default.Provider, {
    value: {
      style: null,
      hasTextAncestor: true
    }
  }, element);
});
Text.displayName = 'Text';
Text.propTypes = propTypes;
var _default = exports.default = Text;
//# sourceMappingURL=Text.js.map