"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _reactNative = require("react-native");
var _TextStyleContext = _interopRequireDefault(require("../style/TextStyleContext"));
var _useMedia = _interopRequireDefault(require("../hooks/useMedia"));
var _useStyle = _interopRequireDefault(require("../hooks/useStyle"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const propTypes = {
  children: _propTypes.default.node,
  // eslint-disable-next-line react/forbid-prop-types
  style: _propTypes.default.any,
  // eslint-disable-next-line react/forbid-prop-types
  textStyle: _propTypes.default.any,
  // eslint-disable-next-line react/forbid-prop-types
  styleName: _propTypes.default.any
};
const View = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    children,
    style,
    textStyle,
    styleName,
    ...elementProps
  } = props;
  const media = (0, _useMedia.default)();
  const context = (0, _react.useContext)(_TextStyleContext.default);
  const resolveStyle = (0, _useStyle.default)(style, styleName);
  const resolveTextStyle = (0, _useStyle.default)([context && context.style, textStyle]);
  const hasTextStyle = context && context.style || textStyle;
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, _extends({}, elementProps, {
    ref: ref,
    style: resolveStyle({
      media
    })
  }), hasTextStyle ? /*#__PURE__*/_react.default.createElement(_TextStyleContext.default.Provider, {
    value: {
      style: resolveTextStyle({
        media
      }),
      hasAncestor: context && context.hasTextAncestor
    }
  }, children) : children);
});
View.displayName = 'View';
View.propTypes = propTypes;
var _default = exports.default = View;
//# sourceMappingURL=View.js.map