"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _StyleSheet = _interopRequireDefault(require("../../style/StyleSheet"));
var _css = _interopRequireDefault(require("../../style/css"));
var _View = _interopRequireDefault(require("../View"));
var _utils = require("../../utils");
var _proxies = require("../../theme/proxies");
var _functions = require("../../theme/functions");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const propTypes = {
  children: _propTypes.default.node.isRequired,
  color: _propTypes.default.oneOf(Object.keys(_proxies.THEME_COLORS)),
  dismissible: _propTypes.default.bool,
  // eslint-disable-next-line react/forbid-prop-types
  style: _propTypes.default.any,
  // eslint-disable-next-line react/forbid-prop-types
  textStyle: _propTypes.default.any
};
const styles = _StyleSheet.default.create({
  '.alert': (0, _css.default)`
    position: relative;
    padding: $alert-padding-y $alert-padding-x;
    margin-bottom: $alert-margin-bottom;
    background-color: transparent;
    border: $alert-border-width solid transparent;
    border-radius: $alert-border-radius;
  `,
  ...(0, _utils.each)(_proxies.THEME_COLORS, (state, value) => ({
    [`.alert-${state}`]: (0, _css.default)`
      background-color: ${(0, _functions.shiftColor)(value, t => t['alert-bg-scale'])};
      border-color: ${(0, _functions.shiftColor)(value, t => t['alert-border-scale'])};
    `,
    [`.alert-${state} --text`]: (0, _css.default)`
      color: ${(0, _functions.shiftColor)(value, t => t['alert-color-scale'])};
    `
  })),
  '.alert-dismissible': {
    // TODO
  }
});
const Alert = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    children,
    color = 'primary',
    dismissible = false,
    style,
    textStyle,
    ...elementProps
  } = props;
  const classes = (0, _utils.getStyles)(styles, ['.alert', `.alert-${color}`, dismissible && '.alert-dismissible']);
  const textClasses = (0, _utils.getStyles)(styles, [`.alert-${color} --text`]);
  return /*#__PURE__*/_react.default.createElement(_View.default, _extends({}, elementProps, {
    ref: ref,
    role: "alert",
    style: [classes, style],
    textStyle: [textClasses, textStyle]
  }), children);
});
Alert.displayName = 'Alert';
Alert.propTypes = propTypes;
var _default = exports.default = Alert;
//# sourceMappingURL=Alert.js.map