"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _propTypes = _interopRequireDefault(require("prop-types"));
var _StyleSheet = _interopRequireDefault(require("../../style/StyleSheet"));
var _css = _interopRequireDefault(require("../../style/css"));
var _utils = require("../../utils");
var _useForcedContext = _interopRequireDefault(require("../../hooks/useForcedContext"));
var _ListContext = _interopRequireDefault(require("../helpers/ListContext"));
var _View = _interopRequireDefault(require("../View"));
var _Text = _interopRequireDefault(require("../Text"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const propTypes = {
  children: _propTypes.default.node.isRequired,
  active: _propTypes.default.bool,
  // eslint-disable-next-line react/forbid-prop-types
  style: _propTypes.default.any,
  // eslint-disable-next-line react/forbid-prop-types
  dividerStyle: _propTypes.default.any,
  // eslint-disable-next-line react/forbid-prop-types
  textStyle: _propTypes.default.any
};
const styles = _StyleSheet.default.create({
  '.breadcrumb-item + .breadcrumb-item': (0, _css.default)`
    flex-direction: row; // added for bootstrap-rn
    padding-left: $breadcrumb-item-padding-x;
  `,
  '.breadcrumb-item + .breadcrumb-item::before': (0, _css.default)`
    // float: left; // Suppress inline spacings and underlining of the separator
    padding-right: $breadcrumb-item-padding-x;
    color: $breadcrumb-divider-color;
  `,
  '.breadcrumb-item.active --text': (0, _css.default)`
    color: $breadcrumb-active-color;
  `
});
const BreadcrumbItem = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    children,
    active = false,
    style,
    dividerStyle,
    textStyle,
    ...elementProps
  } = props;
  const {
    first
  } = (0, _useForcedContext.default)(_ListContext.default);
  const classes = (0, _utils.getStyles)(styles, [!first && '.breadcrumb-item + .breadcrumb-item']);
  const textClasses = (0, _utils.getStyles)(styles, [active && '.breadcrumb-item.active --text']);
  const dividerClasses = (0, _utils.getStyles)(styles, ['.breadcrumb-item + .breadcrumb-item::before']);
  const role = _reactNative.Platform.OS === 'web' ? 'listitem' : null;
  return /*#__PURE__*/_react.default.createElement(_View.default, _extends({}, elementProps, {
    ref: ref,
    role: role
  }, (0, _utils.optional)(active, {
    'aria-current': 'page'
  }), {
    style: [classes, style],
    textStyle: [textClasses, textStyle]
  }), !first && /*#__PURE__*/_react.default.createElement(_Text.default, {
    style: [dividerClasses, dividerStyle]
  }, _reactNative.I18nManager.isRTL ? _StyleSheet.default.value('breadcrumb-divider-flipped') : _StyleSheet.default.value('breadcrumb-divider')), children);
});
BreadcrumbItem.displayName = 'BreadcrumbItem';
BreadcrumbItem.propTypes = propTypes;
var _default = exports.default = BreadcrumbItem;
//# sourceMappingURL=BreadcrumbItem.js.map