"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _propTypes = _interopRequireDefault(require("prop-types"));
var _StyleSheet = _interopRequireDefault(require("../../style/StyleSheet"));
var _css = _interopRequireDefault(require("../../style/css"));
var _View = _interopRequireDefault(require("../View"));
var _utils = require("../../utils");
var _ButtonGroupContext = _interopRequireDefault(require("./ButtonGroupContext"));
var _useList = _interopRequireDefault(require("../../hooks/useList"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const propTypes = {
  children: _propTypes.default.node.isRequired,
  size: _propTypes.default.oneOf(['lg', 'sm']),
  // eslint-disable-next-line react/forbid-prop-types
  style: _propTypes.default.any
};
const styles = _StyleSheet.default.create({
  '.btn-group': (0, _css.default)`
    flex-direction: row; // added for bootstrap-rn
    border-radius: $btn-border-radius;
  `
});
const ButtonGroup = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    children,
    size,
    style,
    ...elementProps
  } = props;
  const list = (0, _useList.default)(children);
  const classes = (0, _utils.getStyles)(styles, ['.btn-group']);

  // Accessiblity role tabpanel is only supported on web.
  const role = _reactNative.Platform.OS === 'web' ? 'group' : null;
  return /*#__PURE__*/_react.default.createElement(_View.default, _extends({}, elementProps, {
    ref: ref,
    role: role,
    style: [classes, style]
  }), /*#__PURE__*/_react.default.createElement(_ButtonGroupContext.default.Provider, {
    value: {
      size
    }
  }, list));
});
ButtonGroup.displayName = 'ButtonGroup';
ButtonGroup.propTypes = propTypes;
var _default = exports.default = ButtonGroup;
//# sourceMappingURL=ButtonGroup.js.map