"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = useToggleButton;
var _react = require("react");
function useToggleButton(props) {
  const {
    active,
    handlePress,
    ...restProps
  } = props;
  const [pressed, setPressed] = (0, _react.useState)(active);
  return {
    ...restProps,
    active: pressed,
    onPress: event => {
      if (handlePress) handlePress(event);
      setPressed(value => !value);
    },
    'aria-pressed': pressed
  };
}
//# sourceMappingURL=useToggleButton.js.map