"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _View = _interopRequireDefault(require("../View"));
var _useForcedContext = _interopRequireDefault(require("../../hooks/useForcedContext"));
var _CollapseContext = _interopRequireDefault(require("./CollapseContext"));
var _CollapseProvider = _interopRequireDefault(require("./CollapseProvider"));
var _useToggleCollapse = _interopRequireDefault(require("./useToggleCollapse"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const propTypes = {
  children: _propTypes.default.node
};
const Collapse = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    children,
    ...elementProps
  } = props;
  const {
    identifier,
    visible
  } = (0, _useForcedContext.default)(_CollapseContext.default);
  if (!visible) {
    return null;
  }
  return /*#__PURE__*/_react.default.createElement(_View.default, _extends({}, elementProps, {
    ref: ref,
    id: identifier
  }), children);
});
Collapse.displayName = 'Collapse';
Collapse.propTypes = propTypes;
Collapse.Provider = _CollapseProvider.default;
Collapse.useToggle = _useToggleCollapse.default;
var _default = exports.default = Collapse;
//# sourceMappingURL=Collapse.js.map