"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = useCollapse;
var _react = require("react");
var _useIdentifier = _interopRequireDefault(require("../../hooks/useIdentifier"));
var _useControlledState = _interopRequireDefault(require("../../hooks/useControlledState"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function useCollapse(defaultVisible, controlledVisible, onToggle) {
  const identifier = (0, _useIdentifier.default)('collapse');
  const [visible, setVisible] = (0, _useControlledState.default)(defaultVisible, controlledVisible, onToggle);
  return (0, _react.useMemo)(() => ({
    identifier,
    visible,
    setVisible
  }), [visible]);
}
//# sourceMappingURL=useCollapse.js.map