"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = useToggleCollapse;
var _useForcedContext = _interopRequireDefault(require("../../hooks/useForcedContext"));
var _CollapseContext = _interopRequireDefault(require("./CollapseContext"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function useToggleCollapse(props) {
  const context = (0, _useForcedContext.default)(_CollapseContext.default);
  const {
    onPress: handlePress,
    ...restProps
  } = props;
  return {
    ...restProps,
    onPress: event => {
      if (handlePress) handlePress(event);
      context.setVisible(value => !value);
    },
    'aria-expanded': context.visible,
    'aria-controls': context.identifier
  };
}
//# sourceMappingURL=useToggleCollapse.js.map