"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _StyleSheet = _interopRequireDefault(require("../../style/StyleSheet"));
var _css = _interopRequireDefault(require("../../style/css"));
var _View = _interopRequireDefault(require("../View"));
var _proxies = require("../../theme/proxies");
var _utils = require("../../utils");
var _breakpoints = require("../../theme/breakpoints");
var _NavbarContext = _interopRequireDefault(require("../navbar/NavbarContext"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const propTypes = {
  children: _propTypes.default.node.isRequired,
  fluid: _propTypes.default.oneOf([true, ...Object.keys(_proxies.CONTAINER_MAX_WIDTHS)]),
  // eslint-disable-next-line react/forbid-prop-types
  style: _propTypes.default.any
};
const styles = _StyleSheet.default.create({
  '.container': (0, _css.default)`
    width: 100%;
    padding-right: $container-padding-x;
    padding-left: $container-padding-x;
    margin-right: auto;
    margin-left: auto;
  `,
  '.container-sm': (0, _css.default)`
    @include media-breakpoint-up(sm) {
      max-width: ${t => t['container-max-widths'].sm};
    }
    @include media-breakpoint-up(md) {
      max-width: ${t => t['container-max-widths'].md};
    }
    @include media-breakpoint-up(lg) {
      max-width: ${t => t['container-max-widths'].lg};
    }
    @include media-breakpoint-up(xl) {
      max-width: ${t => t['container-max-widths'].xl};
    }
    @include media-breakpoint-up(xxl) {
      max-width: ${t => t['container-max-widths'].xxl};
    }
  `,
  '.container-md': (0, _css.default)`
    @include media-breakpoint-up(md) {
      max-width: ${t => t['container-max-widths'].md};
    }
    @include media-breakpoint-up(lg) {
      max-width: ${t => t['container-max-widths'].lg};
    }
    @include media-breakpoint-up(xl) {
      max-width: ${t => t['container-max-widths'].xl};
    }
    @include media-breakpoint-up(xxl) {
      max-width: ${t => t['container-max-widths'].xxl};
    }
  `,
  '.container-lg': (0, _css.default)`
    @include media-breakpoint-up(lg) {
      max-width: ${t => t['container-max-widths'].lg};
    }
    @include media-breakpoint-up(xl) {
      max-width: ${t => t['container-max-widths'].xl};
    }
    @include media-breakpoint-up(xxl) {
      max-width: ${t => t['container-max-widths'].xxl};
    }
  `,
  '.container-xl': (0, _css.default)`
    @include media-breakpoint-up(xl) {
      max-width: ${t => t['container-max-widths'].xl};
    }
    @include media-breakpoint-up(xxl) {
      max-width: ${t => t['container-max-widths'].xxl};
    }
  `,
  '.container-xxl': (0, _css.default)`
    @include media-breakpoint-up(xxl) {
      max-width: ${t => t['container-max-widths'].xxl};
    }
  `,
  // Navbar styles
  '.navbar .container': (0, _css.default)`
    display: flex;
    flex-direction: row; // added for bootstrap-rn
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
  `,
  ...(0, _utils.each)(_proxies.GRID_BREAKPOINTS, breakpoint => ({
    [`.navbar-expand${(0, _breakpoints.infix)((0, _breakpoints.next)(breakpoint))} .container`]: (0, _css.default)`
      @include media-breakpoint-up(${(0, _breakpoints.next)(breakpoint)}) {
        flex-wrap: nowrap;
      }
    `
  }))
});
const Container = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    fluid = 'sm',
    style,
    ...elementProps
  } = props;
  const navbar = (0, _react.useContext)(_NavbarContext.default);
  const classes = (0, _utils.getStyles)(styles, ['.container',
  // Hint: Bootstrap's .container class is identical with .container-sm.
  fluid !== true && `.container-${fluid}`,
  // Navbar styles
  navbar && '.navbar .container', navbar && navbar.expand && `.navbar-expand${navbar.expand === true ? '' : `-${navbar.expand}`} .container`]);
  return /*#__PURE__*/_react.default.createElement(_View.default, _extends({}, elementProps, {
    ref: ref,
    style: [classes, style]
  }));
});
Container.displayName = 'Container';
Container.propTypes = propTypes;
var _default = exports.default = Container;
//# sourceMappingURL=Container.js.map