"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _StyleSheet = _interopRequireDefault(require("../../style/StyleSheet"));
var _css = _interopRequireDefault(require("../../style/css"));
var _View = _interopRequireDefault(require("../View"));
var _utils = require("../../utils");
var _DropdownContext = _interopRequireDefault(require("./DropdownContext"));
var _DropdownToggle = _interopRequireDefault(require("./DropdownToggle"));
var _DropdownMenu = _interopRequireDefault(require("./DropdownMenu"));
var _DropdownHeader = _interopRequireDefault(require("./DropdownHeader"));
var _DropdownItem = _interopRequireDefault(require("./DropdownItem"));
var _DropdownItemText = _interopRequireDefault(require("./DropdownItemText"));
var _DropdownDivider = _interopRequireDefault(require("./DropdownDivider"));
var _useDropdown = _interopRequireDefault(require("./useDropdown"));
var _useDismissDropdown = _interopRequireDefault(require("./useDismissDropdown"));
var _useToggleDropdown = _interopRequireDefault(require("./useToggleDropdown"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const DIRECTIONS = ['up', 'down', 'start', 'end'];
const propTypes = {
  children: _propTypes.default.node,
  defaultVisible: _propTypes.default.bool,
  visible: _propTypes.default.bool,
  onToggle: _propTypes.default.func,
  direction: _propTypes.default.oneOf(DIRECTIONS),
  center: _propTypes.default.bool,
  display: _propTypes.default.oneOf(['dynamic', 'static']),
  autoClose: _propTypes.default.oneOfType([_propTypes.default.bool, _propTypes.default.oneOf(['inside', 'outside'])]),
  // eslint-disable-next-line react/forbid-prop-types
  style: _propTypes.default.any
};
const styles = _StyleSheet.default.create({
  '.dropdown': (0, _css.default)`
    position: relative;
  `
});
const Dropdown = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    children,
    defaultVisible = false,
    visible,
    onToggle,
    direction = 'down',
    center = false,
    display = 'dynamic',
    autoClose = 'outside',
    style,
    ...elementProps
  } = props;
  const dropdown = (0, _useDropdown.default)(defaultVisible, visible, onToggle, direction, center, display, autoClose);
  const classes = (0, _utils.getStyles)(styles, ['.dropdown']);
  return /*#__PURE__*/_react.default.createElement(_View.default, _extends({}, elementProps, {
    ref: ref,
    style: [classes, style]
  }), /*#__PURE__*/_react.default.createElement(_DropdownContext.default.Provider, {
    value: dropdown
  }, children));
});
Dropdown.displayName = 'Dropdown';
Dropdown.propTypes = propTypes;
Dropdown.Context = _DropdownContext.default;
Dropdown.Toggle = _DropdownToggle.default;
Dropdown.Menu = _DropdownMenu.default;
Dropdown.Header = _DropdownHeader.default;
Dropdown.Item = _DropdownItem.default;
Dropdown.ItemText = _DropdownItemText.default;
Dropdown.Divider = _DropdownDivider.default;
Dropdown.useDismiss = _useDismissDropdown.default;
Dropdown.useToggle = _useToggleDropdown.default;
var _default = exports.default = Dropdown;
//# sourceMappingURL=Dropdown.js.map