"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _StyleSheet = _interopRequireDefault(require("../../style/StyleSheet"));
var _utils = require("../../utils");
var _css = _interopRequireDefault(require("../../style/css"));
var _View = _interopRequireDefault(require("../View"));
var _Heading = _interopRequireDefault(require("../Heading"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const propTypes = {
  children: _propTypes.default.node.isRequired,
  // eslint-disable-next-line react/forbid-prop-types
  style: _propTypes.default.any,
  // eslint-disable-next-line react/forbid-prop-types
  textStyle: _propTypes.default.any
};
const styles = _StyleSheet.default.create({
  '.dropdown-header': (0, _css.default)`
    // display: block;
    padding: $dropdown-header-padding;
  `,
  '.dropdown-header --text': (0, _css.default)`
    margin-bottom: 0; // for use with heading elements
    font-size: $font-size-sm;
    color: $dropdown-header-color;
    // white-space: nowrap; // as with > li > a
  `
});
const DropdownHeader = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    children,
    style,
    textStyle,
    ...elementProps
  } = props;
  const classes = (0, _utils.getStyles)(styles, ['.dropdown-header']);
  const textClasses = (0, _utils.getStyles)(styles, ['.dropdown-header --text']);

  // composite component
  return /*#__PURE__*/_react.default.createElement(_View.default, _extends({}, elementProps, {
    ref: ref,
    style: [classes, style]
  }), /*#__PURE__*/_react.default.createElement(_Heading.default, {
    size: 6,
    style: [textClasses, textStyle]
  }, children));
});
DropdownHeader.displayName = 'DropdownHeader';
DropdownHeader.propTypes = propTypes;
var _default = exports.default = DropdownHeader;
//# sourceMappingURL=DropdownHeader.js.map