"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = useDropdown;
var _react = require("react");
var _useIdentifier = _interopRequireDefault(require("../../hooks/useIdentifier"));
var _useControlledState = _interopRequireDefault(require("../../hooks/useControlledState"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function useDropdown(defaultVisible, controlledVisible, onToggle, direction, center, display, autoClose) {
  const identifier = (0, _useIdentifier.default)('dropdown');
  const toggleRef = (0, _react.useRef)();
  const [visible, setVisible] = (0, _useControlledState.default)(defaultVisible, controlledVisible, onToggle);
  return (0, _react.useMemo)(() => ({
    identifier,
    visible,
    setVisible,
    toggleRef,
    direction,
    center,
    display,
    autoClose
  }), [visible, direction, center, display, autoClose]);
}
//# sourceMappingURL=useDropdown.js.map