"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = useToggleDropdown;
var _useForcedContext = _interopRequireDefault(require("../../hooks/useForcedContext"));
var _DropdownContext = _interopRequireDefault(require("./DropdownContext"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function useToggleDropdown(props) {
  const context = (0, _useForcedContext.default)(_DropdownContext.default);
  const {
    onPress: handlePress,
    caret,
    ...restProps
  } = props;
  return {
    ...restProps,
    id: context.identifier,
    ref: context.toggleRef,
    onPress: event => {
      if (handlePress) handlePress(event);
      context.setVisible(value => !value);
    },
    'aria-haspopup': true,
    'aria-expanded': context.visible,
    caret: caret === undefined ? {
      direction: context.direction
    } : caret
  };
}
//# sourceMappingURL=useToggleDropdown.js.map