"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _StyleSheet = _interopRequireDefault(require("../../style/StyleSheet"));
var _css = _interopRequireDefault(require("../../style/css"));
var _Text = _interopRequireDefault(require("../Text"));
var _utils = require("../../utils");
var _proxies = require("../../theme/proxies");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const propTypes = {
  children: _propTypes.default.node.isRequired,
  type: _propTypes.default.oneOf(Object.keys(_proxies.FORM_VALIDATION_STATES)),
  // eslint-disable-next-line react/forbid-prop-types
  style: _propTypes.default.any
};
const styles = _StyleSheet.default.create({
  ...(0, _utils.each)(_proxies.FORM_VALIDATION_STATES, (state, data) => ({
    [`.${state}-feedback`]: (0, _css.default)`
      // display: none;
      width: 100%;
      margin-top: $form-feedback-margin-top;
      font-size: $form-feedback-font-size;
      font-style: $form-feedback-font-style;
      color: ${t => data(t).color};
    `
  }))
});
const Feedback = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    children,
    type,
    style,
    ...elementProps
  } = props;
  const classes = (0, _utils.getStyles)(styles, [`.${type}-feedback`]);
  return /*#__PURE__*/_react.default.createElement(_Text.default, _extends({}, elementProps, {
    ref: ref,
    style: [classes, style]
  }), children);
});
Feedback.displayName = 'Feedback';
Feedback.propTypes = propTypes;
var _default = exports.default = Feedback;
//# sourceMappingURL=Feedback.js.map