"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _StyleSheet = _interopRequireDefault(require("../../style/StyleSheet"));
var _css = _interopRequireDefault(require("../../style/css"));
var _View = _interopRequireDefault(require("../View"));
var _utils = require("../../utils");
var _FormCheckContext = _interopRequireDefault(require("./FormCheckContext"));
var _FormCheckLabel = _interopRequireDefault(require("./FormCheckLabel"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const propTypes = {
  children: _propTypes.default.node.isRequired,
  reverse: _propTypes.default.bool,
  disabled: _propTypes.default.bool,
  valid: _propTypes.default.bool,
  invalid: _propTypes.default.bool,
  // eslint-disable-next-line react/forbid-prop-types
  style: _propTypes.default.any
};
const styles = _StyleSheet.default.create({
  '.form-check': (0, _css.default)`
    // display: block;
    flex-direction: row; // added for bootstrap-rn
    min-height: $form-check-min-height;
    // padding-left: $form-check-padding-start;
    margin-bottom: $form-check-margin-bottom;
  `,
  '.form-check-reverse': (0, _css.default)`
    flex-direction: row-reverse; // added for bootstrap-rn
    // padding-right: $form-check-padding-start;
    // padding-left: 0;
    // text-align: right;
  `,
  '.form-switch.form-check': (0, _css.default)`
    // padding-left: $form-switch-padding-start;
  `
});
const FormCheck = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    children,
    reverse = false,
    disabled = false,
    valid = false,
    invalid = false,
    style,
    ...elementProps
  } = props;
  const classes = (0, _utils.getStyles)(styles, ['.form-check', reverse && '.form-check-reverse']);
  return /*#__PURE__*/_react.default.createElement(_View.default, _extends({}, elementProps, {
    ref: ref,
    style: [classes, style]
  }), /*#__PURE__*/_react.default.createElement(_FormCheckContext.default.Provider, {
    value: {
      reverse,
      disabled,
      valid,
      invalid
    }
  }, children));
});
FormCheck.displayName = 'FormCheck';
FormCheck.propTypes = propTypes;
FormCheck.Label = _FormCheckLabel.default;
var _default = exports.default = FormCheck;
//# sourceMappingURL=FormCheck.js.map