"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _propTypes = _interopRequireDefault(require("prop-types"));
var _StyleSheet = _interopRequireDefault(require("../../style/StyleSheet"));
var _css = _interopRequireDefault(require("../../style/css"));
var _utils = require("../../utils");
var _useMedia = _interopRequireDefault(require("../../hooks/useMedia"));
var _useStyle = _interopRequireDefault(require("../../hooks/useStyle"));
var _useModifier = _interopRequireDefault(require("../../hooks/useModifier"));
var _proxies = require("../../theme/proxies");
var _functions = require("../../theme/functions");
var _FormCheckContext = _interopRequireDefault(require("./FormCheckContext"));
var _FormCheckInputWeb = _interopRequireDefault(require("./internals/FormCheckInputWeb"));
var _FormCheckInputNative = _interopRequireDefault(require("./internals/FormCheckInputNative"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
/* eslint-disable react/no-unused-prop-types */
const propTypes = {
  type: _propTypes.default.oneOf(['checkbox', 'radio', 'switch']).isRequired,
  value: _propTypes.default.bool.isRequired,
  onFocus: _propTypes.default.func,
  onBlur: _propTypes.default.func,
  disabled: _propTypes.default.bool,
  valid: _propTypes.default.bool,
  invalid: _propTypes.default.bool,
  useNativeComponent: _propTypes.default.bool,
  // eslint-disable-next-line react/forbid-prop-types
  style: _propTypes.default.any
  // eslint-disable-next-line react/forbid-prop-types
};
/* eslint-enable */

const styles = _StyleSheet.default.create({
  '.form-check .form-check-input': (0, _css.default)`
    $height: $line-height-base * 1rem;
    $margin-top-double: $height - $form-check-input-width;

    // float: left;
    // margin-left: $form-check-padding-start * -1;
    margin-top: $margin-top-double * 0.5; // added for bootstrap-rn
    margin-right: $form-check-padding-start - $form-check-input-width; // added for bootstrap-rn
  `,
  '.form-check-reverse .form-check-input': (0, _css.default)`
    // float: right;
    // margin-right: $form-check-padding-start * -1;
    margin-right: 0; // added for bootstrap-rn
    // margin-left: 0;
    margin-left: $form-check-padding-start - $form-check-input-width; // added for bootstrap-rn
  `,
  '.form-check-input': (0, _css.default)`
    width: $form-check-input-width;
    height: $form-check-input-width;
    // margin-top: ($line-height-base - $form-check-input-width) * 0.5; // line-height minus check height
    // vertical-align: top;
    background-color: $form-check-input-bg;
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    border: $form-check-input-border;
    @include platform(web) {
      appearance: none;
      user-select: none; // added for bootstrap-rn
      color-adjust: exact; // Keep themed appearance for print
    }
    // @include transition($form-check-transition);

    &:active {
      // filter: $form-check-input-active-filter;
    }

    &:focus {
      border-color: $form-check-input-focus-border;
      @include platform(web) {
        outline-width: 0; // outline: 0;
        box-shadow: $form-check-input-focus-box-shadow;
      }
    }
  `,
  '.form-check-input[type="checkbox"]': (0, _css.default)`
    border-radius: $form-check-input-border-radius;
  `,
  '.form-check-input[type="radio"]': (0, _css.default)`
    border-radius: $form-check-radio-border-radius;
  `,
  '.form-check-input:checked': (0, _css.default)`
    background-color: $form-check-input-checked-bg-color;
    border-color: $form-check-input-checked-border-color;
  `,
  '.form-check-input[type="checkbox"]:checked': (0, _css.default)`
    // @if $enable-gradients {
    //   background-image: escape-svg($form-check-input-checked-bg-image), var(--#{$variable-prefix}gradient);
    // } @else {
    background-image: ${t => (0, _functions.escapeSvg)(t['form-check-input-checked-bg-image'])};
    // }
  `,
  '.form-check-input[type="radio"]:checked': (0, _css.default)`
    // @if $enable-gradients {
    //   background-image: escape-svg($form-check-radio-checked-bg-image), var(--#{$variable-prefix}gradient);
    // } @else {
    background-image: ${t => (0, _functions.escapeSvg)(t['form-check-radio-checked-bg-image'])};
    // }
  `,
  '.form-check-input:disabled': (0, _css.default)`
    @include platform(web) {
      pointer-events: none;
      filter: none;
    }
    opacity: $form-check-label-disabled-opacity;
  `,
  ...(0, _utils.each)(_proxies.FORM_VALIDATION_STATES, (state, data) => ({
    [`.form-check-input:${state}`]: (0, _css.default)`
      border-color: ${t => data(t).color};

      &:focus {
        border-color: ${t => data(t).color}; // added for bootstrap-rn
        @include platform(web) {
          box-shadow: 0 0 $input-btn-focus-blur $input-focus-width
            rgba(${t => data(t).color}, $input-btn-focus-color-opacity);
        }
      }
    `,
    [`.form-check-input:${state}:checked`]: (0, _css.default)`
      background-color: ${t => data(t).color};
    `
  })),
  '.form-switch.form-check .form-check-input': (0, _css.default)`
    // float: left;
    // margin-left: $form-switch-padding-start * -1;
    margin-right: $form-switch-padding-start - $form-switch-width; // added for bootstrap-rn
  `,
  '.form-switch.form-check-reverse .form-check-input': (0, _css.default)`
    // margin-right: $form-switch-padding-start * -1;
    margin-right: 0; // added for bootstrap-rn
    // margin-left: 0;
    margin-left: $form-switch-padding-start - $form-switch-width; // added for bootstrap-rn
  `,
  '.form-switch .form-check-input': (0, _css.default)`
    width: $form-switch-width;
    background-image: ${t => (0, _functions.escapeSvg)(t['form-switch-bg-image'])};
    background-position: left center;
    border-radius: $form-switch-border-radius;
    // @include transition($form-switch-transition);

    &:focus {
      background-image: ${t => (0, _functions.escapeSvg)(t['form-switch-focus-bg-image'])};
    }
  `,
  '.form-switch .form-check-input:checked': (0, _css.default)`
    background-position: $form-switch-checked-bg-position;

    // @if $enable-gradients {
    //   background-image: escape-svg($form-switch-checked-bg-image), var(--#{$prefix}gradient);
    // } @else {
    background-image: ${t => (0, _functions.escapeSvg)(t['form-switch-checked-bg-image'])};
    // }

    &:focus {
      background-image: ${t => (0, _functions.escapeSvg)(t['form-switch-checked-bg-image'])}; // added for bootstrap-rn
    }
  `
});
const FormCheckInput = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const [modifierProps, modifierRef] = (0, _useModifier.default)('useFormField', props, ref);
  const context = (0, _react.useContext)(_FormCheckContext.default);
  const {
    type,
    value,
    onFocus = () => {},
    onBlur = () => {},
    disabled = context ? context.disabled : false,
    valid = context ? context.valid : false,
    invalid = context ? context.invalid : false,
    useNativeComponent = false,
    autoFocus = false,
    style,
    ...elementProps
  } = modifierProps;
  const media = (0, _useMedia.default)();
  const [focused, setFocused] = (0, _react.useState)(autoFocus);
  const classes = (0, _utils.getStyles)(styles, [context && '.form-check .form-check-input', context?.reverse && '.form-check-reverse .form-check-input', '.form-check-input', type === 'checkbox' && '.form-check-input[type="checkbox"]', type === 'radio' && '.form-check-input[type="radio"]', value && '.form-check-input:checked', type === 'checkbox' && value && '.form-check-input[type="checkbox"]:checked', type === 'radio' && value && '.form-check-input[type="radio"]:checked', disabled && '.form-check-input:disabled',
  // validation
  valid && '.form-check-input:valid', valid && value && '.form-check-input:valid:checked', invalid && '.form-check-input:invalid', invalid && value && '.form-check-input:invalid:checked',
  // switch
  context && type === 'switch' && '.form-switch.form-check .form-check-input', context?.reverse && type === 'switch' && '.form-switch.form-check-reverse .form-check-input', type === 'switch' && '.form-switch .form-check-input', type === 'switch' && value && '.form-switch .form-check-input:checked']);
  const resolveStyle = (0, _useStyle.default)([classes, style]);
  const BaseFormCheckInput = _reactNative.Platform.OS === 'web' && !useNativeComponent ? _FormCheckInputWeb.default : _FormCheckInputNative.default;
  return /*#__PURE__*/_react.default.createElement(BaseFormCheckInput, _extends({}, elementProps, {
    ref: modifierRef,
    type: type,
    value: value,
    onFocus: () => {
      setFocused(true);
      onFocus();
    },
    onBlur: () => {
      setFocused(false);
      onBlur();
    },
    disabled: disabled,
    autoFocus: autoFocus,
    style: resolveStyle({
      media,
      interaction: {
        focus: focused,
        focusVisible: focused
      }
    })
  }));
});
FormCheckInput.displayName = 'FormCheckInput';
FormCheckInput.propTypes = propTypes;
var _default = exports.default = FormCheckInput;
//# sourceMappingURL=FormCheckInput.js.map