"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _StyleSheet = _interopRequireDefault(require("../../style/StyleSheet"));
var _css = _interopRequireDefault(require("../../style/css"));
var _utils = require("../../utils");
var _Label = _interopRequireDefault(require("../Label"));
var _proxies = require("../../theme/proxies");
var _useForcedContext = _interopRequireDefault(require("../../hooks/useForcedContext"));
var _FormCheckContext = _interopRequireDefault(require("./FormCheckContext"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const propTypes = {
  children: _propTypes.default.node.isRequired,
  // eslint-disable-next-line react/forbid-prop-types
  style: _propTypes.default.any,
  // eslint-disable-next-line react/forbid-prop-types
  textStyle: _propTypes.default.any
};
const styles = _StyleSheet.default.create({
  '.form-check-input:disabled ~ .form-check-label': (0, _css.default)`
    @include platform(web) {
      cursor: default;
    }
    opacity: $form-check-label-disabled-opacity;
  `,
  '.form-check-label': (0, _css.default)`
    flex-shrink: 1; // added for bootstrap-rn

    @include platform(web) {
      cursor: $form-check-label-cursor;
    }
  `,
  '.form-check-label --text': (0, _css.default)`
    color: $form-check-label-color;
  `,
  ...(0, _utils.each)(_proxies.FORM_VALIDATION_STATES, (state, data) => ({
    [`.form-check-input:${state} ~ .form-check-label --text`]: (0, _css.default)`
      color: ${t => data(t).color};
    `
  }))
});
const FormCheckLabel = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    children,
    style,
    textStyle,
    ...elementProps
  } = props;
  const {
    disabled,
    valid,
    invalid
  } = (0, _useForcedContext.default)(_FormCheckContext.default);
  const classes = (0, _utils.getStyles)(styles, [disabled && '.form-check-input:disabled ~ .form-check-label', '.form-check-label']);
  const textClasses = (0, _utils.getStyles)(styles, ['.form-check-label --text',
  // validation
  valid && '.form-check-input:valid ~ .form-check-label --text', invalid && '.form-check-input:invalid ~ .form-check-label --text']);
  return /*#__PURE__*/_react.default.createElement(_Label.default, _extends({}, elementProps, {
    ref: ref,
    disabled: disabled,
    style: [classes, style],
    textStyle: [textClasses, textStyle]
  }), children);
});
FormCheckLabel.displayName = 'FormCheckLabel';
FormCheckLabel.propTypes = propTypes;
var _default = exports.default = FormCheckLabel;
//# sourceMappingURL=FormCheckLabel.js.map