"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _StyleSheet = _interopRequireDefault(require("../../style/StyleSheet"));
var _css = _interopRequireDefault(require("../../style/css"));
var _Label = _interopRequireDefault(require("../Label"));
var _utils = require("../../utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const propTypes = {
  children: _propTypes.default.node.isRequired,
  // eslint-disable-next-line react/forbid-prop-types
  style: _propTypes.default.any,
  // eslint-disable-next-line react/forbid-prop-types
  textStyle: _propTypes.default.any
};
const styles = _StyleSheet.default.create({
  '.form-label': (0, _css.default)`
    margin-bottom: $form-label-margin-bottom;
  `,
  '.form-label --text': (0, _css.default)`
    font-size: $form-label-font-size;
    line-height: $form-label-font-size * $line-height-base; // added for bootstrap-rn
    font-style: $form-label-font-style;
    font-weight: $form-label-font-weight;
    color: $form-label-color;
  `
});
const FormLabel = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    children,
    style,
    textStyle,
    ...elementProps
  } = props;
  const classes = (0, _utils.getStyles)(styles, ['.form-label']);
  const textClasses = (0, _utils.getStyles)(styles, ['.form-label --text']);
  return /*#__PURE__*/_react.default.createElement(_Label.default, _extends({}, elementProps, {
    ref: ref,
    style: [classes, style],
    textStyle: [textClasses, textStyle]
  }), children);
});
FormLabel.displayName = 'FormLabel';
FormLabel.propTypes = propTypes;
var _default = exports.default = FormLabel;
//# sourceMappingURL=FormLabel.js.map