"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _propTypes = _interopRequireDefault(require("prop-types"));
var _StyleSheet = _interopRequireDefault(require("../../style/StyleSheet"));
var _css = _interopRequireDefault(require("../../style/css"));
var _useMedia = _interopRequireDefault(require("../../hooks/useMedia"));
var _utils = require("../../utils");
var _proxies = require("../../theme/proxies");
var _functions = require("../../theme/functions");
var _useStyle = _interopRequireDefault(require("../../hooks/useStyle"));
var _useModifier = _interopRequireDefault(require("../../hooks/useModifier"));
var _PickerWeb = _interopRequireDefault(require("./internals/PickerWeb"));
var _PickerNative = _interopRequireDefault(require("./internals/PickerNative"));
var _PickerItem = _interopRequireDefault(require("./PickerItem"));
var _PickerContext = _interopRequireDefault(require("./PickerContext"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
/* eslint-disable react/no-unused-prop-types */
const propTypes = {
  children: _propTypes.default.node.isRequired,
  onFocus: _propTypes.default.func,
  onBlur: _propTypes.default.func,
  placeholderTextColor: _propTypes.default.string,
  size: _propTypes.default.oneOf(['sm', 'lg']),
  disabled: _propTypes.default.bool,
  valid: _propTypes.default.bool,
  invalid: _propTypes.default.bool,
  useNativeComponent: _propTypes.default.bool,
  autoFocus: _propTypes.default.bool,
  // eslint-disable-next-line react/forbid-prop-types
  style: _propTypes.default.any,
  // eslint-disable-next-line react/forbid-prop-types
  styleName: _propTypes.default.any
};
/* eslint-enable */

const styles = _StyleSheet.default.create({
  select: (0, _css.default)`
    opacity: 1;
  `,
  '.form-select': (0, _css.default)`
    // display: block;
    width: 100%;
    padding: $form-select-padding-y $form-select-indicator-padding
      $form-select-padding-y $form-select-padding-x;
    /* @include platform(web) {
      // See https://github.com/twbs/bootstrap/issues/32636
      -moz-padding-start: subtract($form-select-padding-x, 3px);
    } */
    font-family: $form-select-font-family;
    font-size: $form-select-font-size;
    font-weight: $form-select-font-weight;
    line-height: $form-select-font-size * $form-select-line-height;
    color: $form-select-color;
    background-color: $form-select-bg;
    background-image: ${t => (0, _functions.escapeSvg)(t['form-select-indicator'])};
    background-repeat: no-repeat;
    background-position: $form-select-bg-position;
    background-size: $form-select-bg-size;
    border: $form-select-border-width solid $form-select-border-color;
    border-radius: $form-select-border-radius;
    // @include box-shadow($form-select-box-shadow);
    // @include transition($form-select-transition);
    @include platform(web) {
      appearance: none;
    }

    &:focus {
      border-color: $form-select-focus-border-color;
      @include platform(web) {
        outline-width: 0; // outline: 0;
        // @if $enable-shadows {
        //   @include box-shadow(
        //     $form-select-box-shadow,
        //     $form-select-focus-box-shadow
        //   );
        // } @else {
        //   // Avoid using mixin so we can pass custom focus shadow properly
        box-shadow: $form-select-focus-box-shadow;
        // }
      }
    }
  `,
  '.form-select.disabled': (0, _css.default)`
    color: $form-select-disabled-color;
    background-color: $form-select-disabled-bg;
    border-color: $form-select-disabled-border-color;
  `,
  '.form-select-sm': (0, _css.default)`
    padding-top: $form-select-padding-y-sm;
    padding-bottom: $form-select-padding-y-sm;
    padding-left: $form-select-padding-x-sm;
    font-size: $form-select-font-size-sm;
    border-radius: $form-select-border-radius-sm;
  `,
  '.form-select-lg': (0, _css.default)`
    padding-top: $form-select-padding-y-lg;
    padding-bottom: $form-select-padding-y-lg;
    padding-left: $form-select-padding-x-lg;
    font-size: $form-select-font-size-lg;
    border-radius: $form-select-border-radius-lg;
  `,
  ...(0, _utils.each)(_proxies.FORM_VALIDATION_STATES, (state, data) => ({
    [`.form-select:${state}`]: (0, _css.default)`
      border-color: ${t => data(t).color};

      &:focus {
        border-color: ${t => data(t).color};
        @include platform(web) {
          box-shadow: 0 0 $input-btn-focus-blur $input-focus-width
            rgba(${t => data(t).color}, $input-btn-focus-color-opacity);
        }
      }
    `
  }))
});
const Picker = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const [modifierProps, modifierRef] = (0, _useModifier.default)('useFormField', props, ref);
  const {
    children,
    onFocus = () => {},
    onBlur = () => {},
    placeholderTextColor = _StyleSheet.default.value('input-placeholder-color'),
    size,
    disabled = false,
    valid = false,
    invalid = false,
    useNativeComponent = false,
    autoFocus = false,
    style,
    styleName,
    ...elementProps
  } = modifierProps;
  const media = (0, _useMedia.default)();
  const [focused, setFocused] = (0, _react.useState)(autoFocus);
  const classes = (0, _utils.getStyles)(styles, ['select',
  // reboot
  '.form-select', disabled && '.form-select.disabled', size === 'sm' && '.form-select-sm', size === 'lg' && '.form-select-lg', valid && '.form-select:valid', invalid && '.form-select:invalid']);
  const resolveStyle = (0, _useStyle.default)([classes, style], styleName);
  const BasePicker = _reactNative.Platform.OS === 'web' && !useNativeComponent ? _PickerWeb.default : _PickerNative.default;
  return /*#__PURE__*/_react.default.createElement(_PickerContext.default.Provider, {
    value: {
      useNativeComponent
    }
  }, /*#__PURE__*/_react.default.createElement(BasePicker, _extends({}, elementProps, {
    ref: modifierRef,
    placeholderTextColor: placeholderTextColor,
    onFocus: event => {
      setFocused(true);
      onFocus(event);
    },
    onBlur: event => {
      setFocused(false);
      onBlur(event);
    },
    disabled: disabled,
    autoFocus: autoFocus,
    style: resolveStyle({
      media,
      interaction: {
        focus: focused,
        focusVisible: focused
      }
    })
  }), children));
});
Picker.displayName = 'Picker';
Picker.propTypes = propTypes;
Picker.Item = _PickerItem.default;
var _default = exports.default = Picker;
//# sourceMappingURL=Picker.js.map