"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _useForcedContext = _interopRequireDefault(require("../../hooks/useForcedContext"));
var _FormCheckInput = _interopRequireDefault(require("./FormCheckInput"));
var _RadioGroup = _interopRequireDefault(require("./RadioGroup"));
var _RadioContext = _interopRequireDefault(require("./RadioContext"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const propTypes = {
  value: _propTypes.default.oneOfType([_propTypes.default.bool, _propTypes.default.number, _propTypes.default.string, _propTypes.default.object])
};
const Radio = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    value,
    ...elementProps
  } = props;
  const {
    selectedValue,
    onValueChange,
    disabled
  } = (0, _useForcedContext.default)(_RadioContext.default);
  return /*#__PURE__*/_react.default.createElement(_FormCheckInput.default, _extends({}, elementProps, {
    ref: ref,
    type: "radio",
    value: value === selectedValue,
    onValueChange: () => {
      onValueChange(value);
    },
    disabled: disabled
  }));
});
Radio.displayName = 'Radio';
Radio.propTypes = propTypes;
Radio.Group = _RadioGroup.default;
var _default = exports.default = Radio;
//# sourceMappingURL=Radio.js.map