"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _View = _interopRequireDefault(require("../View"));
var _RadioContext = _interopRequireDefault(require("./RadioContext"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const propTypes = {
  children: _propTypes.default.node.isRequired,
  selectedValue: _propTypes.default.oneOfType([_propTypes.default.bool, _propTypes.default.number, _propTypes.default.string, _propTypes.default.object]),
  onValueChange: _propTypes.default.func,
  disabled: _propTypes.default.bool
};
const RadioGroup = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    children,
    selectedValue,
    onValueChange = () => {},
    disabled = false,
    ...elementProps
  } = props;
  return /*#__PURE__*/_react.default.createElement(_View.default, _extends({}, elementProps, {
    ref: ref,
    role: "radiogroup"
  }), /*#__PURE__*/_react.default.createElement(_RadioContext.default.Provider, {
    value: {
      selectedValue,
      onValueChange,
      disabled
    }
  }, children));
});
RadioGroup.displayName = 'RadioGroup';
RadioGroup.propTypes = propTypes;
var _default = exports.default = RadioGroup;
//# sourceMappingURL=RadioGroup.js.map