"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _Pressable = _interopRequireDefault(require("../../Pressable"));
var _useBackground = _interopRequireDefault(require("../../../hooks/useBackground"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const propTypes = {
  type: _propTypes.default.oneOf(['checkbox', 'radio', 'switch']).isRequired,
  value: _propTypes.default.bool.isRequired,
  onValueChange: _propTypes.default.func,
  onFocus: _propTypes.default.func,
  onBlur: _propTypes.default.func,
  hitSlop: _propTypes.default.number,
  disabled: _propTypes.default.bool,
  // eslint-disable-next-line react/forbid-prop-types
  style: _propTypes.default.any,
  // eslint-disable-next-line react/forbid-prop-types
  id: _propTypes.default.any
};
const FormCheckInputNative = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    type,
    value,
    onValueChange: handleValueChange,
    onFocus = () => {},
    onBlur = () => {},
    hitSlop = 8,
    disabled = false,
    style,
    id
  } = props;
  const inputBackground = (0, _useBackground.default)(style);
  return /*#__PURE__*/_react.default.createElement(_Pressable.default, {
    ref: ref,
    role: type,
    "aria-checked": value,
    onPress: () => {
      handleValueChange(!value);
    },
    onFocus: onFocus,
    onBlur: onBlur,
    hitSlop: hitSlop,
    disabled: disabled,
    style: inputBackground.style,
    id: id
  }, inputBackground.element);
});
FormCheckInputNative.displayName = 'FormCheckInputNative';
FormCheckInputNative.propTypes = propTypes;
var _default = exports.default = FormCheckInputNative;
//# sourceMappingURL=FormCheckInputNative.js.map