"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _propTypes = _interopRequireDefault(require("prop-types"));
var _useBackground = _interopRequireDefault(require("../../../hooks/useBackground"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const propTypes = {
  type: _propTypes.default.oneOf(['checkbox', 'radio', 'switch']).isRequired,
  value: _propTypes.default.bool.isRequired,
  onValueChange: _propTypes.default.func,
  onFocus: _propTypes.default.func,
  onBlur: _propTypes.default.func,
  disabled: _propTypes.default.bool,
  // eslint-disable-next-line react/forbid-prop-types
  style: _propTypes.default.any,
  // eslint-disable-next-line react/forbid-prop-types
  id: _propTypes.default.any
};
const styles = _reactNative.StyleSheet.create({
  reboot: {
    flexShrink: 0,
    margin: 0
  }
});

// eslint-disable-next-line react/prop-types
const Input = /*#__PURE__*/_react.default.forwardRef((_ref, ref) => {
  let {
    style,
    ...props
  } = _ref;
  return (0, _reactNative.unstable_createElement)('input', {
    ...props,
    ref,
    style: [styles.reboot, style]
  });
});
const FormCheckInputWeb = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    type,
    value,
    onValueChange: handleValueChange,
    onFocus = () => {},
    onBlur = () => {},
    disabled = false,
    style,
    id
  } = props;
  const inputBackground = (0, _useBackground.default)(style);
  return /*#__PURE__*/_react.default.createElement(Input, {
    ref: ref,
    type: type === 'switch' ? 'checkbox' : type,
    checked: value,
    onChange: () => {
      handleValueChange(!value);
    },
    onFocus: onFocus,
    onBlur: onBlur,
    disabled: disabled,
    style: inputBackground.style,
    id: id
  });
});
FormCheckInputWeb.displayName = 'FormCheckInputWeb';
FormCheckInputWeb.propTypes = propTypes;
var _default = exports.default = FormCheckInputWeb;
//# sourceMappingURL=FormCheckInputWeb.js.map