"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _StyleSheet = _interopRequireDefault(require("../../../style/StyleSheet"));
var _css = _interopRequireDefault(require("../../../style/css"));
var _Pressable = _interopRequireDefault(require("../../Pressable"));
var _Text = _interopRequireDefault(require("../../Text"));
var _useMedia = _interopRequireDefault(require("../../../hooks/useMedia"));
var _utils = require("../../../utils");
var _useStyle = _interopRequireDefault(require("../../../hooks/useStyle"));
var _useForcedContext = _interopRequireDefault(require("../../../hooks/useForcedContext"));
var _PickerNativeContext = _interopRequireDefault(require("./PickerNativeContext"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const propTypes = {
  label: _propTypes.default.string.isRequired,
  value: _propTypes.default.oneOfType([_propTypes.default.bool, _propTypes.default.number, _propTypes.default.string, _propTypes.default.object]),
  disabled: _propTypes.default.bool
};
const styles = _StyleSheet.default.create({
  item: (0, _css.default)`
    margin: 0.25rem 1rem;
    padding: 0.25rem;
  `,
  itemDisabled: (0, _css.default)``
});
const PickerNativeItem = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    label,
    value,
    disabled = false
  } = props;
  const {
    selectedValue,
    handleValueChange
  } = (0, _useForcedContext.default)(_PickerNativeContext.default);
  const media = (0, _useMedia.default)();
  const classes = (0, _utils.getStyles)(styles, ['item', disabled && 'itemDisabled']);
  const resolveStyle = (0, _useStyle.default)(classes);
  const selected = value === selectedValue;
  return /*#__PURE__*/_react.default.createElement(_Pressable.default, {
    ref: ref,
    onPress: () => {
      handleValueChange(value);
    },
    "aria-selected": selected,
    disabled: disabled,
    style: resolveStyle({
      media
    })
  }, /*#__PURE__*/_react.default.createElement(_Text.default, {
    styleName: selected && 'text-primary'
  }, label));
});
PickerNativeItem.displayName = 'PickerNativeItem';
PickerNativeItem.propTypes = propTypes;
var _default = exports.default = PickerNativeItem;
//# sourceMappingURL=PickerNativeItem.js.map