"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _propTypes = _interopRequireDefault(require("prop-types"));
var _useBackground = _interopRequireDefault(require("../../../hooks/useBackground"));
var _PickerWebContext = _interopRequireDefault(require("./PickerWebContext"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const propTypes = {
  children: _propTypes.default.node.isRequired,
  selectedValue: _propTypes.default.oneOfType([_propTypes.default.bool, _propTypes.default.number, _propTypes.default.string, _propTypes.default.object]),
  onValueChange: _propTypes.default.func,
  onFocus: _propTypes.default.func,
  onBlur: _propTypes.default.func,
  placeholder: _propTypes.default.string,
  placeholderTextColor: _propTypes.default.string,
  disabled: _propTypes.default.bool,
  // eslint-disable-next-line react/forbid-prop-types
  style: _propTypes.default.any
};
const PLACEHOLDER = '__PLACEHOLDER__';
const getOptionStyle = (style, showPlaceholder) => {
  if (!showPlaceholder) {
    return null;
  }
  const flattenedStyle = _reactNative.StyleSheet.flatten(style);
  return flattenedStyle.color;
};
const PickerWeb = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    children,
    selectedValue,
    onValueChange = () => {},
    onFocus = () => {},
    onBlur = () => {},
    placeholder,
    placeholderTextColor,
    disabled,
    style,
    ...elementProps
  } = props;
  const background = (0, _useBackground.default)(style);
  const showPlaceholder = selectedValue === undefined || selectedValue === null;
  return /*#__PURE__*/_react.default.createElement(_reactNative.Picker, _extends({}, elementProps, {
    ref: ref,
    selectedValue: showPlaceholder ? PLACEHOLDER : selectedValue,
    onValueChange: onValueChange,
    onFocus: onFocus,
    onBlur: onBlur,
    disabled: disabled,
    style: [background.style, showPlaceholder && {
      color: placeholderTextColor
    }]
  }), /*#__PURE__*/_react.default.createElement("option", {
    value: PLACEHOLDER,
    disabled: true,
    hidden: true
  }, placeholder), /*#__PURE__*/_react.default.createElement(_PickerWebContext.default.Provider, {
    value: {
      optionColor: getOptionStyle(background.style, showPlaceholder)
    }
  }, children));
});
PickerWeb.propTypes = propTypes;
var _default = exports.default = PickerWeb;
//# sourceMappingURL=PickerWeb.js.map