"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _propTypes = _interopRequireDefault(require("prop-types"));
var _useForcedContext = _interopRequireDefault(require("../../../hooks/useForcedContext"));
var _PickerWebContext = _interopRequireDefault(require("./PickerWebContext"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const propTypes = {
  label: _propTypes.default.string.isRequired,
  value: _propTypes.default.oneOfType([_propTypes.default.bool, _propTypes.default.number, _propTypes.default.string, _propTypes.default.object]),
  disabled: _propTypes.default.bool
};
const PickerWebItem = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    label,
    value,
    disabled = false
  } = props;
  const {
    optionColor
  } = (0, _useForcedContext.default)(_PickerWebContext.default);
  return /*#__PURE__*/_react.default.createElement(_reactNative.Picker.Item, {
    ref: ref,
    label: label,
    value: value,
    disabled: disabled,
    color: optionColor
  });
});
PickerWebItem.displayName = 'PickerWebItem';
PickerWebItem.propTypes = propTypes;
var _default = exports.default = PickerWebItem;
//# sourceMappingURL=PickerWebItem.js.map