"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _propTypes = _interopRequireDefault(require("prop-types"));
var _StyleSheet = _interopRequireDefault(require("../../style/StyleSheet"));
var _css = _interopRequireDefault(require("../../style/css"));
var _View = _interopRequireDefault(require("../View"));
var _utils = require("../../utils");
var _useList = _interopRequireDefault(require("../../hooks/useList"));
var _ListGroupContext = _interopRequireDefault(require("./ListGroupContext"));
var _ListGroupItem = _interopRequireDefault(require("./ListGroupItem"));
var _ListGroupItemAction = _interopRequireDefault(require("./ListGroupItemAction"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const propTypes = {
  children: _propTypes.default.node.isRequired,
  flush: _propTypes.default.bool,
  // eslint-disable-next-line react/forbid-prop-types
  style: _propTypes.default.any
};
const styles = _StyleSheet.default.create({
  '.list-group': (0, _css.default)`
    display: flex;
    flex-direction: column;

    // No need to set list-style: none; since .list-group-item is block level
    padding-left: 0; // reset padding because ul and ol
    margin-bottom: 0;
    border-radius: $list-group-border-radius;
  `,
  '.list-group-flush': (0, _css.default)`
    border-radius: 0;
  `
});
const getRole = tabbable => {
  if (tabbable) {
    return 'tablist';
  }
  if (_reactNative.Platform.OS === 'web') {
    return 'list';
  }
  return null;
};
const ListGroup = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    children,
    flush,
    style,
    ...elementProps
  } = props;
  const list = (0, _useList.default)(children);
  const classes = (0, _utils.getStyles)(styles, ['.list-group', flush && '.list-group-flush']);

  // TODO: Implement TabContext
  const tabbable = false;
  return /*#__PURE__*/_react.default.createElement(_View.default, _extends({}, elementProps, {
    ref: ref,
    role: getRole(tabbable),
    style: [classes, style]
  }), /*#__PURE__*/_react.default.createElement(_ListGroupContext.default.Provider, {
    value: {
      flush
    }
  }, list));
});
ListGroup.displayName = 'ListGroup';
ListGroup.propTypes = propTypes;
ListGroup.Item = _ListGroupItem.default;
ListGroup.ItemAction = _ListGroupItemAction.default;
var _default = exports.default = ListGroup;
//# sourceMappingURL=ListGroup.js.map