"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _css = _interopRequireDefault(require("../../style/css"));
var _utils = require("../../utils");
var _useForcedContext = _interopRequireDefault(require("../../hooks/useForcedContext"));
var _StyleSheet = _interopRequireDefault(require("../../style/StyleSheet"));
var _View = _interopRequireDefault(require("../View"));
var _ScrollView = _interopRequireDefault(require("../ScrollView"));
var _ModalContext = _interopRequireDefault(require("./ModalContext"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const propTypes = {
  children: _propTypes.default.node.isRequired,
  // eslint-disable-next-line react/forbid-prop-types
  style: _propTypes.default.any,
  // eslint-disable-next-line react/forbid-prop-types
  contentContainerStyle: _propTypes.default.any
};
const styles = _StyleSheet.default.create({
  '.modal-body': (0, _css.default)`
    position: relative;
    // Enable "flex-grow: 1" so that the body take up as much space as possible
    // when there should be a fixed height on ".modal-dialog".
    // Note from bootstrap-rn: Centered modals do not work with this style, but
    // everything just works fine without this style.
    // flex: 1 1 auto;
    padding: $modal-inner-padding;
  `
});
const ModalBody = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    children,
    style,
    contentContainerStyle,
    ...elementProps
  } = props;
  const {
    scrollable
  } = (0, _useForcedContext.default)(_ModalContext.default);
  const classes = (0, _utils.getStyles)(styles, ['.modal-body']);
  const FlexView = scrollable ? _ScrollView.default : _View.default;
  return /*#__PURE__*/_react.default.createElement(FlexView, _extends({}, elementProps, {
    ref: ref,
    style: scrollable ? style : [classes, style],
    contentContainerStyle: scrollable ? [classes, contentContainerStyle] : undefined
  }), children);
});
ModalBody.displayName = 'ModalBody';
ModalBody.propTypes = propTypes;
var _default = exports.default = ModalBody;
//# sourceMappingURL=ModalBody.js.map