"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _StyleSheet = _interopRequireDefault(require("../../style/StyleSheet"));
var _css = _interopRequireDefault(require("../../style/css"));
var _Pressable = _interopRequireDefault(require("../Pressable"));
var _proxies = require("../../theme/proxies");
var _breakpoints = require("../../theme/breakpoints");
var _utils = require("../../utils");
var _useModifier = _interopRequireDefault(require("../../hooks/useModifier"));
var _useForcedContext = _interopRequireDefault(require("../../hooks/useForcedContext"));
var _NavbarContext = _interopRequireDefault(require("../navbar/NavbarContext"));
var _NavContext = _interopRequireDefault(require("./NavContext"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const propTypes = {
  children: _propTypes.default.node.isRequired,
  active: _propTypes.default.bool,
  disabled: _propTypes.default.bool,
  // eslint-disable-next-line react/forbid-prop-types
  style: _propTypes.default.any,
  // eslint-disable-next-line react/forbid-prop-types
  activeStyle: _propTypes.default.any,
  // eslint-disable-next-line react/forbid-prop-types
  textStyle: _propTypes.default.any,
  // eslint-disable-next-line react/forbid-prop-types
  activeTextStyle: _propTypes.default.any
};
const styles = _StyleSheet.default.create({
  '.nav-link': (0, _css.default)`
    // display: block;
    flex-direction: row; // added for bootstrap-rn
    align-items: center; // added for bootstrap-rn
    padding: $nav-link-padding-y $nav-link-padding-x;
    // @include transition($nav-link-transition);
  `,
  '.nav-link --text': (0, _css.default)`
    font-size: $nav-link-font-size;
    font-weight: $nav-link-font-weight;
    color: $nav-link-color;
    text-decoration: none; // if($link-decoration == none, null, none);

    &:hover {
      color: $nav-link-hover-color;
      text-decoration: none; // if($link-hover-decoration == underline, none, null);
    }
    &:focus {
      color: $nav-link-hover-color;
      text-decoration: none; // if($link-hover-decoration == underline, none, null);
    }
  `,
  '.nav-link.disabled': (0, _css.default)`
    @include platform(web) {
      pointer-events: none;
      cursor: default;
    }
  `,
  '.nav-link.disabled --text': (0, _css.default)`
    color: $nav-link-disabled-color;
  `,
  '.nav-tabs .nav-link': (0, _css.default)`
    margin-bottom: -$nav-tabs-border-width;
    background: transparent; // none;
    // Use longform for border, so that the border color is applied correctly on Android.
    border-width: $nav-tabs-border-width;
    border-style: solid;
    border-color: transparent transparent;
    border-top-left-radius: $nav-tabs-border-radius;
    border-top-right-radius: $nav-tabs-border-radius;

    &:hover {
      // Prevents active .nav-link tab overlapping focus outline of previous/next .nav-link
      // isolation: isolate;
      border-color: $nav-tabs-link-hover-border-color;
    }
    &:focus {
      // Prevents active .nav-link tab overlapping focus outline of previous/next .nav-link
      // isolation: isolate;
      border-color: $nav-tabs-link-hover-border-color;
    }
  `,
  '.nav-tabs .nav-link.disabled': (0, _css.default)`
    background-color: transparent;
    border-color: transparent;
  `,
  '.nav-tabs .nav-link.disabled --text': (0, _css.default)`
    color: $nav-link-disabled-color;
  `,
  '.nav-tabs .nav-link.active': (0, _css.default)`
    background-color: $nav-tabs-link-active-bg;
    border-color: $nav-tabs-link-active-border-color;

    &:hover {
      background-color: $nav-tabs-link-active-bg; // added for bootstrap-rn
      border-color: $nav-tabs-link-active-border-color; // added for bootstrap-rn
    }
    &:focus {
      background-color: $nav-tabs-link-active-bg; // added for bootstrap-rn
      border-color: $nav-tabs-link-active-border-color; // added for bootstrap-rn
    }
  `,
  '.nav-tabs .nav-link.active --text': (0, _css.default)`
    color: $nav-tabs-link-active-color;

    &:hover {
      color: $nav-tabs-link-active-color; // added for bootstrap-rn
    }
    &:focus {
      color: $nav-tabs-link-active-color; // added for bootstrap-rn
    }
  `,
  '.nav-pills .nav-link': (0, _css.default)`
    background: transparent; // none;
    border: 0;
    border-radius: $nav-pills-border-radius;
  `,
  '.nav-pills .nav-link.active': (0, _css.default)`
    // @include gradient-bg($nav-pills-link-active-bg);
    background-color: $nav-pills-link-active-bg; // added for bootstrap-rn

    &:hover {
      background-color: $nav-pills-link-active-bg; // added for bootstrap-rn
    }
    &:focus {
      background-color: $nav-pills-link-active-bg; // added for bootstrap-rn
    }
  `,
  '.nav-pills .nav-link.active --text': (0, _css.default)`
    color: $nav-pills-link-active-color;

    &:hover {
      color: $nav-pills-link-active-color; // added for bootstrap-rn
    }
    &:focus {
      color: $nav-pills-link-active-color; // added for bootstyl
    }
  `,
  // Navbar styles
  '.navbar-nav .nav-link': (0, _css.default)`
    padding-right: 0;
    padding-left: 0;
  `,
  ...(0, _utils.each)(_proxies.GRID_BREAKPOINTS, breakpoint => ({
    [`.navbar-expand${(0, _breakpoints.infix)((0, _breakpoints.next)(breakpoint))} .navbar-nav .nav-link`]: (0, _css.default)`
      @include media-breakpoint-up(${(0, _breakpoints.next)(breakpoint)}) {
        padding-right: $navbar-nav-link-padding-x;
        padding-left: $navbar-nav-link-padding-x;
      }
    `
  })),
  '.navbar-light .navbar-nav .nav-link --text': (0, _css.default)`
    color: $navbar-light-color;

    &:hover {
      color: $navbar-light-hover-color;
    }
    &:focus {
      color: $navbar-light-hover-color;
    }
  `,
  '.navbar-light .navbar-nav .nav-link.disabled --text': (0, _css.default)`
    color: $navbar-light-disabled-color;
  `,
  '.navbar-light .navbar-nav .nav-link.active --text': (0, _css.default)`
    color: $navbar-light-active-color;

    &:hover {
      color: $navbar-light-active-color; // added for bootstrap-rn
    }
    &:focus {
      color: $navbar-light-active-color; // added for bootstrap-rn
    }
  `,
  '.navbar-dark .navbar-nav .nav-link --text': (0, _css.default)`
    color: $navbar-dark-color;

    &:hover {
      color: $navbar-dark-hover-color;
    }
    &:focus {
      color: $navbar-dark-hover-color;
    }
  `,
  '.navbar-dark .navbar-nav .nav-link.disabled --text': (0, _css.default)`
    color: $navbar-dark-disabled-color;
  `,
  '.navbar-dark .navbar-nav .nav-link.active --text': (0, _css.default)`
    color: $navbar-dark-active-color;

    &:hover {
      color: $navbar-dark-active-color; // added for bootstrap-rn
    }
    &:focus {
      color: $navbar-dark-active-color; // added for bootstrap-rn
    }
  `
});
const NavLink = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const [modifierProps, modifierRef] = (0, _useModifier.default)('useTabbable', props, ref);
  const {
    children,
    active,
    disabled,
    style,
    activeStyle,
    textStyle,
    activeTextStyle,
    ...elementProps
  } = modifierProps;
  const {
    variant
  } = (0, _useForcedContext.default)(_NavContext.default);
  const navbar = (0, _react.useContext)(_NavbarContext.default);
  const classes = (0, _utils.getStyles)(styles, ['.nav-link', disabled && '.nav-link.disabled', variant && `.nav-${variant} .nav-link`, variant === 'tabs' && disabled && '.nav-tabs .nav-link.disabled',
  // Navbar styles
  navbar && '.navbar-nav .nav-link', navbar && navbar.expand && `.navbar-expand${navbar.expand === true ? '' : `-${navbar.expand}`} .navbar-nav .nav-link`, navbar && `.navbar-${navbar.variant} .navbar-nav .nav-link`, navbar && disabled && `.navbar-${navbar.variant} .navbar-nav .nav-link.disabled`]);
  const activeClasses = (0, _utils.getStyles)(styles, [variant && `.nav-${variant} .nav-link.active`,
  // Navbar styles
  navbar && `.navbar-${navbar.variant} .navbar-nav .nav-link.active`]);
  const textClasses = (0, _utils.getStyles)(styles, ['.nav-link --text', disabled && '.nav-link.disabled --text', variant && `.nav-${variant} .nav-link --text`, variant === 'tabs' && disabled && '.nav-tabs .nav-link.disabled --text',
  // Navbar styles
  navbar && '.navbar-nav .nav-link --text', navbar && navbar.expand && `.navbar-expand${(0, _breakpoints.infix)(navbar.expand)} .navbar-nav .nav-link --text`, navbar && `.navbar-${navbar.variant} .navbar-nav .nav-link --text`, navbar && disabled && `.navbar-${navbar.variant} .navbar-nav .nav-link.disabled --text`]);
  const activeTextClasses = (0, _utils.getStyles)(styles, [variant && `.nav-${variant} .nav-link.active --text`,
  // Navbar styles
  navbar && `.navbar-${navbar.variant} .navbar-nav .nav-link.active --text`]);
  return /*#__PURE__*/_react.default.createElement(_Pressable.default, _extends({}, elementProps, {
    ref: modifierRef,
    active: active,
    disabled: disabled,
    style: [...classes, style],
    activeStyle: [...activeClasses, activeStyle],
    textStyle: [...textClasses, textStyle],
    activeTextStyle: [...activeTextClasses, activeTextStyle]
  }), children);
});
NavLink.displayName = 'NavLink';
NavLink.propTypes = propTypes;
var _default = exports.default = NavLink;
//# sourceMappingURL=NavLink.js.map