"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _propTypes = _interopRequireDefault(require("prop-types"));
var _StyleSheet = _interopRequireDefault(require("../../style/StyleSheet"));
var _css = _interopRequireDefault(require("../../style/css"));
var _View = _interopRequireDefault(require("../View"));
var _utils = require("../../utils");
var _useForcedContext = _interopRequireDefault(require("../../hooks/useForcedContext"));
var _TabContext = _interopRequireDefault(require("./TabContext"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const propTypes = {
  children: _propTypes.default.node.isRequired,
  id: _propTypes.default.string.isRequired,
  // eslint-disable-next-line react/forbid-prop-types
  style: _propTypes.default.any
};
const styles = _StyleSheet.default.create({
  '.tab-pane': (0, _css.default)`
    display: none;
  `,
  '.active': (0, _css.default)`
    display: flex;
  `
});
const TabPane = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    id: target,
    style,
    ...elementProps
  } = props;
  const tabbable = (0, _useForcedContext.default)(_TabContext.default);
  const classes = (0, _utils.getStyles)(styles, ['.tab-pane', tabbable.activeTarget === target && '.active']);
  const id = (0, _utils.getElementId)(tabbable.identifier, target);

  // Accessiblity role tabpanel is only supported on web.
  const role = _reactNative.Platform.OS === 'web' ? 'tabpanel' : null;
  return /*#__PURE__*/_react.default.createElement(_View.default, _extends({}, elementProps, {
    ref: ref,
    id: id,
    role: role,
    "aria-labelledby": `${id}-tab`,
    style: [classes, style]
  }));
});
TabPane.displayName = 'TabPane';
TabPane.propTypes = propTypes;
var _default = exports.default = TabPane;
//# sourceMappingURL=TabPane.js.map