"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = useTabbable;
var _react = require("react");
var _useIdentifier = _interopRequireDefault(require("../../hooks/useIdentifier"));
var _useControlledState = _interopRequireDefault(require("../../hooks/useControlledState"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function useTabbable(defaultActiveTarget, controlledActiveTarget, onChange) {
  const identifier = (0, _useIdentifier.default)('tabbable');
  const [activeTarget, setActiveTarget] = (0, _useControlledState.default)(defaultActiveTarget, controlledActiveTarget, onChange);
  return (0, _react.useMemo)(() => ({
    identifier,
    activeTarget,
    setActiveTarget
  }), [activeTarget]);
}
//# sourceMappingURL=useTabbable.js.map