"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = useToggleTab;
var _tinyInvariant = _interopRequireDefault(require("tiny-invariant"));
var _useForcedContext = _interopRequireDefault(require("../../hooks/useForcedContext"));
var _TabContext = _interopRequireDefault(require("./TabContext"));
var _utils = require("../../utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function useToggleTab(props) {
  const context = (0, _useForcedContext.default)(_TabContext.default);
  const {
    target,
    onPress: handlePress,
    ...restProps
  } = props;
  (0, _tinyInvariant.default)(target, 'Prop "target" is required.');
  const id = (0, _utils.getElementId)(context.identifier, target);
  const active = context.activeTarget === target;
  return {
    ...restProps,
    id: `${id}-tab`,
    onPress: event => {
      if (handlePress) handlePress(event);
      event.preventDefault();
      context.setActiveTarget(target);
    },
    active,
    role: 'tab',
    'aria-controls': id,
    'aria-selected': active
  };
}
//# sourceMappingURL=useToggleTab.js.map