"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _StyleSheet = _interopRequireDefault(require("../../style/StyleSheet"));
var _css = _interopRequireDefault(require("../../style/css"));
var _Pressable = _interopRequireDefault(require("../Pressable"));
var _useForcedContext = _interopRequireDefault(require("../../hooks/useForcedContext"));
var _utils = require("../../utils");
var _NavbarContext = _interopRequireDefault(require("./NavbarContext"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const propTypes = {
  children: _propTypes.default.node.isRequired,
  // eslint-disable-next-line react/forbid-prop-types
  style: _propTypes.default.any,
  // eslint-disable-next-line react/forbid-prop-types
  textStyle: _propTypes.default.any
};
const styles = _StyleSheet.default.create({
  '.navbar-brand': (0, _css.default)`
    padding-top: $navbar-brand-padding-y;
    padding-bottom: $navbar-brand-padding-y;
    margin-right: $navbar-brand-margin-end;
  `,
  '.navbar-brand --text': (0, _css.default)`
    font-size: $navbar-brand-font-size;
    line-height: $navbar-brand-font-size * $line-height-base; // added for bootstrap-rn
    text-decoration: none; // if($link-decoration == none, null, none);
    // white-space: nowrap;

    &:hover {
      text-decoration: none; // if($link-hover-decoration == underline, none, null);
    }
    &:focus {
      text-decoration: none; // if($link-hover-decoration == underline, none, null);
    }
  `,
  '.navbar-light .navbar-brand --text': (0, _css.default)`
    color: $navbar-light-brand-color;

    &:hover {
      color: $navbar-light-brand-hover-color;
    }
    &:focus {
      color: $navbar-light-brand-hover-color;
    }
  `,
  '.navbar-dark .navbar-brand --text': (0, _css.default)`
    color: $navbar-dark-brand-color;

    &:hover {
      color: $navbar-dark-brand-hover-color;
    }
    &:focus {
      color: $navbar-dark-brand-hover-color;
    }
  `
});
const NavbarBrand = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    children,
    style,
    textStyle,
    ...elementProps
  } = props;
  const {
    variant
  } = (0, _useForcedContext.default)(_NavbarContext.default);
  const classes = (0, _utils.getStyles)(styles, ['.navbar-brand']);
  const textClasses = (0, _utils.getStyles)(styles, ['.navbar-brand --text', `.navbar-${variant} .navbar-brand --text`]);
  return /*#__PURE__*/_react.default.createElement(_Pressable.default, _extends({}, elementProps, {
    ref: ref,
    style: [classes, style],
    textStyle: [textClasses, textStyle]
  }), children);
});
NavbarBrand.displayName = 'NavbarBrand';
NavbarBrand.propTypes = propTypes;
var _default = exports.default = NavbarBrand;
//# sourceMappingURL=NavbarBrand.js.map