"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _StyleSheet = _interopRequireDefault(require("../../style/StyleSheet"));
var _css = _interopRequireDefault(require("../../style/css"));
var _View = _interopRequireDefault(require("../View"));
var _useForcedContext = _interopRequireDefault(require("../../hooks/useForcedContext"));
var _proxies = require("../../theme/proxies");
var _breakpoints = require("../../theme/breakpoints");
var _utils = require("../../utils");
var _useMedia = _interopRequireDefault(require("../../hooks/useMedia"));
var _NavbarContext = _interopRequireDefault(require("./NavbarContext"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const propTypes = {
  children: _propTypes.default.node.isRequired,
  // eslint-disable-next-line react/forbid-prop-types
  style: _propTypes.default.any
};
const styles = _StyleSheet.default.create({
  '.navbar-collapse': (0, _css.default)`
    flex-basis: 100%;
    flex-grow: 1;
    // For always expanded or extra full navbars, ensure content aligns itself
    // properly vertically. Can be easily overridden with flex utilities.
    // align-items: center;
  `,
  ...(0, _utils.each)(_proxies.GRID_BREAKPOINTS, breakpoint => ({
    [`.navbar-expand${(0, _breakpoints.infix)((0, _breakpoints.next)(breakpoint))} .navbar-collapse`]: (0, _css.default)`
      @include media-breakpoint-up(${(0, _breakpoints.next)(breakpoint)}) {
        flex-direction: row; // added for bootstrap-rn
        display: flex;
        flex-basis: auto;
        align-items: center; // added for bootstrap-rn
      }
    `
  }))
});
const NavbarCollapse = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    children,
    style,
    ...elementProps
  } = props;
  const {
    expand,
    expanded
  } = (0, _useForcedContext.default)(_NavbarContext.default);
  const media = (0, _useMedia.default)();
  const classes = (0, _utils.getStyles)(styles, ['.navbar-collapse', expand && `.navbar-expand${expand === true ? '' : `-${expand}`} .navbar-collapse`]);
  const show = expanded || expand && (expand === true || media.up(expand));
  if (!show) {
    return null;
  }
  return /*#__PURE__*/_react.default.createElement(_View.default, _extends({}, elementProps, {
    ref: ref,
    style: [classes, style]
  }), children);
});
NavbarCollapse.displayName = 'NavbarCollapse';
NavbarCollapse.propTypes = propTypes;
var _default = exports.default = NavbarCollapse;
//# sourceMappingURL=NavbarCollapse.js.map