"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = useDismissNavbar;
var _useForcedContext = _interopRequireDefault(require("../../hooks/useForcedContext"));
var _NavbarContext = _interopRequireDefault(require("./NavbarContext"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function useDismissNavbar(props) {
  const context = (0, _useForcedContext.default)(_NavbarContext.default);
  const {
    onPress: handlePress,
    ...restProps
  } = props;
  return {
    ...restProps,
    onPress: event => {
      if (handlePress) handlePress(event);
      context.setExpanded(false);
    },
    'aria-label': 'Close'
  };
}
//# sourceMappingURL=useDismissNavbar.js.map