"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = useNavbar;
var _react = require("react");
var _useIdentifier = _interopRequireDefault(require("../../hooks/useIdentifier"));
var _useControlledState = _interopRequireDefault(require("../../hooks/useControlledState"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function useNavbar(variant, defaultExpanded, controlledExpanded, onToggle, expand) {
  const identifier = (0, _useIdentifier.default)('navbar');
  const [expanded, setExpanded] = (0, _useControlledState.default)(defaultExpanded, controlledExpanded, onToggle);
  return (0, _react.useMemo)(() => ({
    identifier,
    variant,
    expanded,
    setExpanded,
    expand
  }), [variant, expanded, expand]);
}
//# sourceMappingURL=useNavbar.js.map