"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _css = _interopRequireDefault(require("../../style/css"));
var _StyleSheet = _interopRequireDefault(require("../../style/StyleSheet"));
var _ScrollView = _interopRequireDefault(require("../ScrollView"));
var _proxies = require("../../theme/proxies");
var _breakpoints = require("../../theme/breakpoints");
var _utils = require("../../utils");
var _NavbarContext = _interopRequireDefault(require("../navbar/NavbarContext"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const propTypes = {
  children: _propTypes.default.node.isRequired,
  // eslint-disable-next-line react/forbid-prop-types
  style: _propTypes.default.any,
  // eslint-disable-next-line react/forbid-prop-types
  contentContainerStyle: _propTypes.default.any
};
const styles = _StyleSheet.default.create({
  '.offcanvas-body': (0, _css.default)`
    // flex-grow: 1;
    padding: $offcanvas-padding-y $offcanvas-padding-x;
    // overflow-y: auto;
  `,
  // Navbar styles
  ...(0, _utils.each)(_proxies.GRID_BREAKPOINTS, breakpoint => ({
    [`.navbar-expand${(0, _breakpoints.infix)((0, _breakpoints.next)(breakpoint))} .offcanvas-body`]: (0, _css.default)`
      @include media-breakpoint-up(${(0, _breakpoints.next)(breakpoint)}) {
        display: flex;
        flex-grow: 0;
        padding: 0;
        // overflow-y: visible;
      }
    `
  }))
});
const OffcanvasBody = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    children,
    style,
    contentContainerStyle,
    ...elementProps
  } = props;
  const navbar = (0, _react.useContext)(_NavbarContext.default);
  const contentContainerClasses = (0, _utils.getStyles)(styles, ['.offcanvas-body', navbar && navbar.expand && `.navbar-expand${navbar.expand === true ? '' : `-${navbar.expand}`} .offcanvas-body`]);
  return /*#__PURE__*/_react.default.createElement(_ScrollView.default, _extends({}, elementProps, {
    ref: ref,
    style: style,
    contentContainerStyle: [contentContainerClasses, contentContainerStyle]
  }), children);
});
OffcanvasBody.displayName = 'OffcanvasBody';
OffcanvasBody.propTypes = propTypes;
var _default = exports.default = OffcanvasBody;
//# sourceMappingURL=OffcanvasBody.js.map