"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _propTypes = _interopRequireDefault(require("prop-types"));
var _StyleSheet = _interopRequireDefault(require("../../style/StyleSheet"));
var _utils = require("../../utils");
var _css = _interopRequireDefault(require("../../style/css"));
var _View = _interopRequireDefault(require("../View"));
var _PopoverArrow = _interopRequireDefault(require("./PopoverArrow"));
var _PopoverHeader = _interopRequireDefault(require("./PopoverHeader"));
var _PopoverBody = _interopRequireDefault(require("./PopoverBody"));
var _PopoverContext = _interopRequireDefault(require("./PopoverContext"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const propTypes = {
  children: _propTypes.default.node.isRequired,
  placement: _propTypes.default.string,
  popper: _propTypes.default.bool,
  // eslint-disable-next-line react/forbid-prop-types
  style: _propTypes.default.any,
  // eslint-disable-next-line react/forbid-prop-types
  textStyle: _propTypes.default.any,
  // eslint-disable-next-line react/forbid-prop-types
  arrowStyle: _propTypes.default.any
};
const styles = _StyleSheet.default.create({
  '.popover': (0, _css.default)`
    position: absolute;
    // top: 0;
    // left: 0 #{"/* rtl:ignore */"};
    z-index: $zindex-popover;
    // display: block;
    max-width: $popover-max-width;
    background-color: $popover-bg;
    // background-clip: padding-box;
    border: $popover-border-width solid $popover-border-color;
    border-radius: $popover-border-radius;
    // @include box-shadow($popover-box-shadow);
  `,
  '.popover --text': (0, _css.default)`
    // Our parent element can be arbitrary since tooltips are by default inserted as a sibling of their target element.
    // So reset our font and text properties to avoid inheriting weird values.
    // @include reset-text();
    font-size: $popover-font-size;
    // Allow breaking very long words so they don't overflow the popover's bounds
    // word-wrap: break-word;
  `
});
const Popover = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    children,
    placement = 'right',
    popper,
    style,
    textStyle,
    arrowStyle,
    ...elementProps
  } = props;
  const popover = {
    placement: (0, _utils.transformPlacement)(placement),
    arrowStyle,
    popper
  };
  const classes = (0, _utils.getStyles)(styles, ['.popover']);
  const textClasses = (0, _utils.getStyles)(styles, ['.popover --text']);

  // Accessiblity role tooltip is only supported on web.
  const role = _reactNative.Platform.OS === 'web' ? 'tooltip' : null;
  return /*#__PURE__*/_react.default.createElement(_View.default, _extends({}, elementProps, {
    ref: ref,
    role: role,
    style: [classes, style],
    textStyle: [textClasses, textStyle]
  }), /*#__PURE__*/_react.default.createElement(_PopoverContext.default.Provider, {
    value: popover
  }, children));
});
Popover.displayName = 'Popover';
Popover.propTypes = propTypes;
Popover.Arrow = _PopoverArrow.default;
Popover.Header = _PopoverHeader.default;
Popover.Body = _PopoverBody.default;
var _default = exports.default = Popover;
//# sourceMappingURL=Popover.js.map