"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _View = _interopRequireDefault(require("../View"));
var _functions = require("../../theme/functions");
var _StyleSheet = _interopRequireDefault(require("../../style/StyleSheet"));
var _utils = require("../../utils");
var _css = _interopRequireDefault(require("../../style/css"));
var _useForcedContext = _interopRequireDefault(require("../../hooks/useForcedContext"));
var _PopoverContext = _interopRequireDefault(require("./PopoverContext"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const propTypes = {
  // eslint-disable-next-line react/forbid-prop-types
  style: _propTypes.default.any
};
const styles = _StyleSheet.default.create({
  '.popover-arrow': (0, _css.default)`
    position: absolute;
    // display: block;
    width: $popover-arrow-width;
    height: $popover-arrow-height;
  `,
  '.popover-arrow::before': (0, _css.default)`
    position: absolute;
    // display: block;
    // content: "";
    border-top-color: transparent;
    border-right-color: transparent;
    border-left-color: transparent;
    border-bottom-color: transparent;
    border-style: solid;
  `,
  '.popover-arrow::after': (0, _css.default)`
    position: absolute;
    // display: block;
    // content: "";
    border-top-color: transparent;
    border-right-color: transparent;
    border-left-color: transparent;
    border-bottom-color: transparent;
    border-style: solid;
  `,
  '.bs-popover-top .popover-arrow': (0, _css.default)`
    bottom: ${(0, _functions.subtract)(t => `-${t['popover-arrow-height']}`, t => t['popover-border-width'])};
  `,
  '.bs-popover-top .popover-arrow::before': (0, _css.default)`
    bottom: 0;
    border-top-width: $popover-arrow-height;
    border-right-width: $popover-arrow-width * 0.5;
    border-left-width: $popover-arrow-width * 0.5;
    border-bottom-width: 0;
    border-top-color: $popover-arrow-outer-color;
  `,
  '.bs-popover-top .popover-arrow::after': (0, _css.default)`
    bottom: $popover-border-width;
    border-top-width: $popover-arrow-height;
    border-right-width: $popover-arrow-width * 0.5;
    border-left-width: $popover-arrow-width * 0.5;
    border-bottom-width: 0;
    border-top-color: $popover-arrow-color;
  `,
  '.bs-popover-end .popover-arrow': (0, _css.default)`
    left: ${(0, _functions.subtract)(t => `-${t['popover-arrow-height']}`, t => t['popover-border-width'])};
    width: $popover-arrow-height;
    height: $popover-arrow-width;
  `,
  '.bs-popover-end .popover-arrow::before': (0, _css.default)`
    left: 0;
    border-top-width: $popover-arrow-width * 0.5;
    border-right-width: $popover-arrow-height;
    border-left-width: 0;
    border-bottom-width: $popover-arrow-width * 0.5;
    border-right-color: $popover-arrow-outer-color;
  `,
  '.bs-popover-end .popover-arrow::after': (0, _css.default)`
    left: $popover-border-width;
    border-top-width: $popover-arrow-width * 0.5;
    border-right-width: $popover-arrow-height;
    border-left-width: 0;
    border-bottom-width: $popover-arrow-width * 0.5;
    border-right-color: $popover-arrow-color;
  `,
  '.bs-popover-bottom .popover-arrow': (0, _css.default)`
    top: ${(0, _functions.subtract)(t => `-${t['popover-arrow-height']}`, t => t['popover-border-width'])};
  `,
  '.bs-popover-bottom .popover-arrow::before': (0, _css.default)`
    top: 0;
    border-top-width: 0;
    border-right-width: $popover-arrow-width * 0.5;
    border-left-width: $popover-arrow-width * 0.5;
    border-bottom-width: $popover-arrow-height;
    border-bottom-color: $popover-arrow-outer-color;
  `,
  '.bs-popover-bottom .popover-arrow::after': (0, _css.default)`
    top: $popover-border-width;
    border-top-width: 0;
    border-right-width: $popover-arrow-width * 0.5;
    border-left-width: $popover-arrow-width * 0.5;
    border-bottom-width: $popover-arrow-height;
    border-bottom-color: $popover-arrow-color;
  `,
  '.bs-popover-start .popover-arrow': (0, _css.default)`
    right: ${(0, _functions.subtract)(t => `-${t['popover-arrow-height']}`, t => t['popover-border-width'])};
    width: $popover-arrow-height;
    height: $popover-arrow-width;
  `,
  '.bs-popover-start .popover-arrow::before': (0, _css.default)`
    right: 0;
    border-top-width: $popover-arrow-width * 0.5;
    border-right-width: 0;
    border-left-width: $popover-arrow-height;
    border-bottom-width: $popover-arrow-width * 0.5;
    border-left-color: $popover-arrow-outer-color;
  `,
  '.bs-popover-start .popover-arrow::after': (0, _css.default)`
    right: $popover-border-width;
    border-top-width: $popover-arrow-width * 0.5;
    border-right-width: 0;
    border-left-width: $popover-arrow-height;
    border-bottom-width: $popover-arrow-width * 0.5;
    border-left-color: $popover-arrow-color;
  `
});
const PopoverArrow = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    style,
    ...elementProps
  } = props;
  const {
    placement,
    arrowStyle,
    popper
  } = (0, _useForcedContext.default)(_PopoverContext.default);
  const classes = (0, _utils.getStyles)(styles, ['.popover-arrow', popper && `.bs-popover-${placement} .popover-arrow`]);
  const beforeClasses = (0, _utils.getStyles)(styles, ['.popover-arrow::before', popper && `.bs-popover-${placement} .popover-arrow::before`]);
  const afterClasses = (0, _utils.getStyles)(styles, ['.popover-arrow::after', popper && `.bs-popover-${placement} .popover-arrow::after`]);
  return /*#__PURE__*/_react.default.createElement(_View.default, _extends({}, elementProps, {
    ref: ref,
    style: [classes, arrowStyle, style]
  }), /*#__PURE__*/_react.default.createElement(_View.default, {
    style: beforeClasses
  }), /*#__PURE__*/_react.default.createElement(_View.default, {
    style: afterClasses
  }));
});
PopoverArrow.displayName = 'PopoverArrow';
PopoverArrow.propTypes = propTypes;
var _default = exports.default = PopoverArrow;
//# sourceMappingURL=PopoverArrow.js.map