"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _View = _interopRequireDefault(require("../View"));
var _Heading = _interopRequireDefault(require("../Heading"));
var _StyleSheet = _interopRequireDefault(require("../../style/StyleSheet"));
var _utils = require("../../utils");
var _css = _interopRequireDefault(require("../../style/css"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const propTypes = {
  children: _propTypes.default.node.isRequired,
  // eslint-disable-next-line react/forbid-prop-types
  style: _propTypes.default.any,
  // eslint-disable-next-line react/forbid-prop-types
  textStyle: _propTypes.default.any
};
const styles = _StyleSheet.default.create({
  '.popover-header': (0, _css.default)`
    padding: $popover-header-padding-y $popover-header-padding-x;
    background-color: $popover-header-bg;
    border-bottom-width: $popover-border-width;
    border-style: solid;
    border-color: $popover-border-color;
    border-top-left-radius: $popover-border-radius;
    border-top-right-radius: $popover-border-radius;
  `,
  '.popover-header --text': (0, _css.default)`
    margin-bottom: 0; // Reset the default from Reboot
    font-size: $font-size-base;
    line-height: $font-size-base * $headings-line-height; // added for bootstrap-rn
    color: $popover-header-color;
  `
});
const PopoverHeader = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    children,
    style,
    textStyle,
    ...elementProps
  } = props;
  const classes = (0, _utils.getStyles)(styles, ['.popover-header']);
  const textClasses = (0, _utils.getStyles)(styles, ['.popover-header --text']);

  // composite component
  return /*#__PURE__*/_react.default.createElement(_View.default, _extends({}, elementProps, {
    ref: ref,
    style: [classes, style]
  }), /*#__PURE__*/_react.default.createElement(_Heading.default, {
    size: 3,
    style: [textClasses, textStyle]
  }, children));
});
PopoverHeader.displayName = 'PopoverHeader';
PopoverHeader.propTypes = propTypes;
var _default = exports.default = PopoverHeader;
//# sourceMappingURL=PopoverHeader.js.map