"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _StyleSheet = _interopRequireDefault(require("../../style/StyleSheet"));
var _css = _interopRequireDefault(require("../../style/css"));
var _View = _interopRequireDefault(require("../View"));
var _utils = require("../../utils");
var _ProgressBar = _interopRequireDefault(require("./ProgressBar"));
var _ProgressContext = _interopRequireDefault(require("./ProgressContext"));
var _useProgress = _interopRequireDefault(require("./useProgress"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const propTypes = {
  children: _propTypes.default.node.isRequired,
  min: _propTypes.default.number,
  max: _propTypes.default.number,
  // eslint-disable-next-line react/forbid-prop-types
  style: _propTypes.default.any,
  // eslint-disable-next-line react/forbid-prop-types
  textStyle: _propTypes.default.any
};
const styles = _StyleSheet.default.create({
  '.progress': (0, _css.default)`
    display: flex;
    flex-direction: row; // added for bootstrap-rn
    height: $progress-height;
    overflow: hidden; // force rounded corners by cropping it
    background-color: $progress-bg;
    border-radius: $progress-border-radius;
    // @include box-shadow($progress-box-shadow);
  `,
  '.progress --text': (0, _css.default)`
    font-size: $progress-font-size;
    line-height: $progress-font-size * $line-height-base; // added for bootstrap-rn
  `
});
const Progress = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    children,
    min = 0,
    max = 100,
    style,
    textStyle,
    ...elementProps
  } = props;
  const progress = (0, _useProgress.default)(min, max);
  const classes = (0, _utils.getStyles)(styles, ['.progress']);
  const textClasses = (0, _utils.getStyles)(styles, ['.progress --text']);
  return /*#__PURE__*/_react.default.createElement(_View.default, _extends({}, elementProps, {
    ref: ref,
    style: [classes, style],
    textStyle: [textClasses, textStyle]
  }), /*#__PURE__*/_react.default.createElement(_ProgressContext.default.Provider, {
    value: progress
  }, children));
});
Progress.displayName = 'Progress';
Progress.propTypes = propTypes;
Progress.Bar = _ProgressBar.default;
var _default = exports.default = Progress;
//# sourceMappingURL=Progress.js.map