"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _StyleSheet = _interopRequireDefault(require("../../style/StyleSheet"));
var _css = _interopRequireDefault(require("../../style/css"));
var _View = _interopRequireDefault(require("../View"));
var _utils = require("../../utils");
var _ToastContainerContext = _interopRequireDefault(require("./ToastContainerContext"));
var _useList = _interopRequireDefault(require("../../hooks/useList"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const propTypes = {
  children: _propTypes.default.node.isRequired,
  // eslint-disable-next-line react/forbid-prop-types
  style: _propTypes.default.any
};
const styles = _StyleSheet.default.create({
  '.toast-container': (0, _css.default)`
    width: 100%; // max-content;
    max-width: 100%;
    // pointer-events: none;
  `
});
const ToastContainer = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    children,
    style,
    ...elementProps
  } = props;
  const list = (0, _useList.default)(children);
  const classes = (0, _utils.getStyles)(styles, ['.toast-container']);
  return /*#__PURE__*/_react.default.createElement(_View.default, _extends({}, elementProps, {
    ref: ref,
    style: [classes, style]
  }), /*#__PURE__*/_react.default.createElement(_ToastContainerContext.default.Provider, {
    value: true
  }, list));
});
ToastContainer.displayName = 'ToastContainer';
ToastContainer.propTypes = propTypes;
var _default = exports.default = ToastContainer;
//# sourceMappingURL=ToastContainer.js.map