"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _StyleSheet = _interopRequireDefault(require("../../style/StyleSheet"));
var _css = _interopRequireDefault(require("../../style/css"));
var _View = _interopRequireDefault(require("../View"));
var _functions = require("../../theme/functions");
var _utils = require("../../utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const propTypes = {
  children: _propTypes.default.node.isRequired,
  // eslint-disable-next-line react/forbid-prop-types
  style: _propTypes.default.any,
  // eslint-disable-next-line react/forbid-prop-types
  textStyle: _propTypes.default.any
};
const styles = _StyleSheet.default.create({
  '.toast-header': (0, _css.default)`
    display: flex;
    flex-direction: row; // added for bootstrap-rn
    align-items: center;
    padding: $toast-padding-y $toast-padding-x;
    background-color: $toast-header-background-color;
    // background-clip: padding-box;
    border-bottom-width: $toast-border-width;
    border-style: solid;
    border-color: $toast-header-border-color;
    border-top-left-radius: ${(0, _functions.subtract)(t => t['toast-border-radius'], t => t['toast-border-width'])};
    border-top-right-radius: ${(0, _functions.subtract)(t => t['toast-border-radius'], t => t['toast-border-width'])};
  `,
  '.toast-header --text': (0, _css.default)`
    color: $toast-header-color;
  `
});
const ToastHeader = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    children,
    style,
    textStyle,
    ...elementProps
  } = props;
  const classes = (0, _utils.getStyles)(styles, ['.toast-header']);
  const textClasses = (0, _utils.getStyles)(styles, ['.toast-header --text']);
  return /*#__PURE__*/_react.default.createElement(_View.default, _extends({}, elementProps, {
    ref: ref,
    style: [classes, style],
    textStyle: [textClasses, textStyle]
  }), children);
});
ToastHeader.displayName = 'ToastHeader';
ToastHeader.propTypes = propTypes;
var _default = exports.default = ToastHeader;
//# sourceMappingURL=ToastHeader.js.map