"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _propTypes = _interopRequireDefault(require("prop-types"));
var _View = _interopRequireDefault(require("../View"));
var _StyleSheet = _interopRequireDefault(require("../../style/StyleSheet"));
var _utils = require("../../utils");
var _css = _interopRequireDefault(require("../../style/css"));
var _TooltipArrow = _interopRequireDefault(require("./TooltipArrow"));
var _TooltipInner = _interopRequireDefault(require("./TooltipInner"));
var _TooltipContext = _interopRequireDefault(require("./TooltipContext"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const propTypes = {
  children: _propTypes.default.node.isRequired,
  placement: _propTypes.default.string,
  popper: _propTypes.default.bool,
  // eslint-disable-next-line react/forbid-prop-types
  style: _propTypes.default.any,
  // eslint-disable-next-line react/forbid-prop-types
  textStyle: _propTypes.default.any,
  // eslint-disable-next-line react/forbid-prop-types
  arrowStyle: _propTypes.default.any
};
const styles = _StyleSheet.default.create({
  '.tooltip': (0, _css.default)`
    position: absolute;
    z-index: $zindex-tooltip;
    // display: block;
    margin: $tooltip-margin;
    // opacity: 0;
  `,
  '.tooltip --text': (0, _css.default)`
    // Our parent element can be arbitrary since tooltips are by default inserted as a sibling of their target element.
    // So reset our font and text properties to avoid inheriting weird values.
    // @include reset-text();
    font-size: $tooltip-font-size;
    // Allow breaking very long words so they don't overflow the tooltip's bounds
    // word-wrap: break-word;
  `,
  '.bs-tooltip-top': (0, _css.default)`
    padding: $tooltip-arrow-height 0;
  `,
  '.bs-tooltip-end': (0, _css.default)`
    padding: 0 $tooltip-arrow-height;
  `,
  '.bs-tooltip-bottom': (0, _css.default)`
    padding: $tooltip-arrow-height 0;
  `,
  '.bs-tooltip-start': (0, _css.default)`
    padding: 0 $tooltip-arrow-height;
  `
});
const Tooltip = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    children,
    placement = 'top',
    popper,
    style,
    textStyle,
    arrowStyle,
    ...elementProps
  } = props;
  const tooltip = {
    placement: (0, _utils.transformPlacement)(placement),
    arrowStyle,
    popper
  };
  const classes = (0, _utils.getStyles)(styles, ['.tooltip',
  // Wait for rendering (of Overlay) before setting the offset.
  popper && `.bs-tooltip-${tooltip.placement}`]);
  const textClasses = (0, _utils.getStyles)(styles, ['.tooltip --text']);

  // Accessiblity role tooltip is only supported on web.
  const role = _reactNative.Platform.OS === 'web' ? 'tooltip' : null;
  return /*#__PURE__*/_react.default.createElement(_View.default, _extends({}, elementProps, {
    ref: ref,
    role: role,
    style: [classes, style],
    textStyle: [textClasses, textStyle]
  }), /*#__PURE__*/_react.default.createElement(_TooltipContext.default.Provider, {
    value: tooltip
  }, children));
});
Tooltip.displayName = 'Tooltip';
Tooltip.propTypes = propTypes;
Tooltip.Arrow = _TooltipArrow.default;
Tooltip.Inner = _TooltipInner.default;
var _default = exports.default = Tooltip;
//# sourceMappingURL=Tooltip.js.map