"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _View = _interopRequireDefault(require("../View"));
var _StyleSheet = _interopRequireDefault(require("../../style/StyleSheet"));
var _utils = require("../../utils");
var _css = _interopRequireDefault(require("../../style/css"));
var _useForcedContext = _interopRequireDefault(require("../../hooks/useForcedContext"));
var _TooltipContext = _interopRequireDefault(require("./TooltipContext"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const propTypes = {
  // eslint-disable-next-line react/forbid-prop-types
  style: _propTypes.default.any
};
const styles = _StyleSheet.default.create({
  '.tooltip-arrow': (0, _css.default)`
    position: absolute;
    // display: block;
    width: $tooltip-arrow-width;
    height: $tooltip-arrow-height;
  `,
  '.tooltip-arrow::before': (0, _css.default)`
    position: absolute;
    // content: "";
    border-top-color: transparent;
    border-right-color: transparent;
    border-left-color: transparent;
    border-bottom-color: transparent;
    border-style: solid;
  `,
  '.bs-tooltip-top .tooltip-arrow': (0, _css.default)`
    bottom: 0;
  `,
  '.bs-tooltip-top .tooltip-arrow::before': (0, _css.default)`
    top: -1px;
    border-top-width: $tooltip-arrow-height;
    border-right-width: $tooltip-arrow-width * 0.5;
    border-left-width: $tooltip-arrow-width * 0.5;
    border-bottom-width: 0;
    border-top-color: $tooltip-arrow-color;
  `,
  '.bs-tooltip-end .tooltip-arrow': (0, _css.default)`
    left: 0;
    width: $tooltip-arrow-height;
    height: $tooltip-arrow-width;
  `,
  '.bs-tooltip-end .tooltip-arrow::before': (0, _css.default)`
    right: -1px;
    border-top-width: $tooltip-arrow-width * 0.5;
    border-right-width: $tooltip-arrow-height;
    border-left-width: 0;
    border-bottom-width: $tooltip-arrow-width * 0.5;
    border-right-color: $tooltip-arrow-color;
  `,
  '.bs-tooltip-bottom .tooltip-arrow': (0, _css.default)`
    top: 0;
  `,
  '.bs-tooltip-bottom .tooltip-arrow::before': (0, _css.default)`
    bottom: -1px;
    border-top-width: 0;
    border-right-width: $tooltip-arrow-width * 0.5;
    border-left-width: $tooltip-arrow-width * 0.5;
    border-bottom-width: $tooltip-arrow-height;
    border-bottom-color: $tooltip-arrow-color;
  `,
  '.bs-tooltip-start .tooltip-arrow': (0, _css.default)`
    right: 0;
    width: $tooltip-arrow-height;
    height: $tooltip-arrow-width;
  `,
  '.bs-tooltip-start .tooltip-arrow::before': (0, _css.default)`
    left: -1px;
    border-top-width: $tooltip-arrow-width * 0.5;
    border-right-width: 0;
    border-left-width: $tooltip-arrow-height;
    border-bottom-width: $tooltip-arrow-width * 0.5;
    border-left-color: $tooltip-arrow-color;
  `
});
const TooltipArrow = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    style,
    ...elementProps
  } = props;
  const {
    placement,
    arrowStyle,
    popper
  } = (0, _useForcedContext.default)(_TooltipContext.default);
  const classes = (0, _utils.getStyles)(styles, ['.tooltip-arrow', popper && `.bs-tooltip-${placement} .tooltip-arrow`]);
  const beforeClasses = (0, _utils.getStyles)(styles, ['.tooltip-arrow::before', popper && `.bs-tooltip-${placement} .tooltip-arrow::before`]);
  return /*#__PURE__*/_react.default.createElement(_View.default, _extends({}, elementProps, {
    ref: ref,
    style: [classes, arrowStyle, style]
  }), /*#__PURE__*/_react.default.createElement(_View.default, {
    style: beforeClasses
  }));
});
TooltipArrow.displayName = 'TooltipArrow';
TooltipArrow.propTypes = propTypes;
var _default = exports.default = TooltipArrow;
//# sourceMappingURL=TooltipArrow.js.map