"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _StyleSheet = _interopRequireDefault(require("../../style/StyleSheet"));
var _utils = require("../../utils");
var _css = _interopRequireDefault(require("../../style/css"));
var _View = _interopRequireDefault(require("../View"));
var _Text = _interopRequireDefault(require("../Text"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const propTypes = {
  children: _propTypes.default.node.isRequired,
  // eslint-disable-next-line react/forbid-prop-types
  style: _propTypes.default.any,
  // eslint-disable-next-line react/forbid-prop-types
  textStyle: _propTypes.default.any
};
const styles = _StyleSheet.default.create({
  '.tooltip-inner': (0, _css.default)`
    max-width: $tooltip-max-width;
    padding: $tooltip-padding-y $tooltip-padding-x;
    background-color: $tooltip-bg;
    border-radius: $tooltip-border-radius;
  `,
  '.tooltip-inner --text': (0, _css.default)`
    color: $tooltip-color;
    text-align: center;
  `
});
const TooltipInner = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    children,
    style,
    textStyle,
    ...elementProps
  } = props;
  const classes = (0, _utils.getStyles)(styles, ['.tooltip-inner']);
  const textClasses = (0, _utils.getStyles)(styles, ['.tooltip-inner --text']);

  // composite component
  return /*#__PURE__*/_react.default.createElement(_View.default, _extends({}, elementProps, {
    ref: ref,
    style: [classes, style]
  }), /*#__PURE__*/_react.default.createElement(_Text.default, {
    style: [textClasses, textStyle]
  }, children));
});
TooltipInner.displayName = 'TooltipInner';
TooltipInner.propTypes = propTypes;
var _default = exports.default = TooltipInner;
//# sourceMappingURL=TooltipInner.js.map