"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = injectTooltip;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _overlays = require("@react-native-aria/overlays");
var _Overlay = _interopRequireDefault(require("../helpers/Overlay"));
var _BackdropHandler = _interopRequireDefault(require("../helpers/BackdropHandler"));
var _useTrigger = _interopRequireWildcard(require("../../hooks/useTrigger"));
var _math = require("../../style/math");
var _StyleSheet = _interopRequireDefault(require("../../style/StyleSheet"));
var _Tooltip = _interopRequireDefault(require("./Tooltip"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const propTypes = {
  tooltip: _propTypes.default.shape({
    title: _propTypes.default.node.isRequired,
    autoClose: _propTypes.default.oneOfType([_propTypes.default.bool, _propTypes.default.oneOf(['inside', 'outside'])]),
    ..._useTrigger.TriggerPropTypes
  })
};
function injectTooltip(Target) {
  const OverlayTooltip = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
    /* eslint-disable react/prop-types */
    const {
      tooltip: {
        title,
        autoClose = 'outside',
        trigger = 'hover focus',
        placement = 'top',
        ...tooltipProps
      },
      ...elementProps
    } = props;
    /* eslint-enable */

    const {
      visible,
      setVisible,
      targetProps,
      targetRef,
      templateProps
    } = (0, _useTrigger.default)(trigger, tooltipProps, elementProps, ref);
    const offset = (0, _math.normalizeNumber)(_StyleSheet.default.value('tooltip-arrow-height'));
    return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(Target, _extends({}, elementProps, targetProps)), visible && /*#__PURE__*/_react.default.createElement(_overlays.OverlayContainer, null, /*#__PURE__*/_react.default.createElement(_Overlay.default, {
      placement: placement,
      targetRef: targetRef,
      arrowOffset: offset,
      visible: visible
    }, (overlay, overlayRef) => /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_BackdropHandler.default, {
      toggleRef: targetRef,
      dialogRef: overlayRef,
      onClose: () => {
        setVisible(false);
      },
      autoClose: autoClose
    }), /*#__PURE__*/_react.default.createElement(_Tooltip.default, _extends({}, templateProps, {
      ref: overlayRef,
      placement: overlay.placement,
      popper: overlay.rendered,
      style: [overlay.overlayProps.style, {
        maxHeight: 'auto',
        opacity: overlay.rendered ? 1 : 0
      }],
      arrowStyle: overlay.arrowProps.style
    }), /*#__PURE__*/_react.default.createElement(_Tooltip.default.Arrow, null), /*#__PURE__*/_react.default.createElement(_Tooltip.default.Inner, null, title))))));
  });
  OverlayTooltip.displayName = 'Overlay(Tooltip)';
  OverlayTooltip.propTypes = propTypes;
  return OverlayTooltip;
}
//# sourceMappingURL=injectTooltip.js.map