"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _StyleSheet = _interopRequireDefault(require("../../style/StyleSheet"));
var _css = _interopRequireDefault(require("../../style/css"));
var _Heading = _interopRequireDefault(require("../Heading"));
var _proxies = require("../../theme/proxies");
var _utils = require("../../utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const propTypes = {
  children: _propTypes.default.node.isRequired,
  size: _propTypes.default.oneOf(Object.keys(_proxies.DISPLAY_FONT_SIZES).map(k => Number(k))).isRequired,
  // eslint-disable-next-line react/forbid-prop-types
  style: _propTypes.default.any
};
const styles = _StyleSheet.default.create({
  ...(0, _utils.each)(_proxies.DISPLAY_FONT_SIZES, (size, value) => ({
    [`.display-${size}`]: (0, _css.default)`
      font-size: ${value};
      line-height: ${value} * $headings-line-height;
    `
  }))
});
const DisplayHeading = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    children,
    size,
    style,
    ...elementProps
  } = props;
  const classes = (0, _utils.getStyles)(styles, [`.display-${size}`]);
  return /*#__PURE__*/_react.default.createElement(_Heading.default, _extends({}, elementProps, {
    ref: ref,
    size: 1,
    style: [classes, style]
  }), children);
});
DisplayHeading.displayName = 'Heading';
DisplayHeading.propTypes = propTypes;
var _default = exports.default = DisplayHeading;
//# sourceMappingURL=DisplayHeading.js.map