"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _propTypes = _interopRequireDefault(require("prop-types"));
var _StyleSheet = _interopRequireDefault(require("../../style/StyleSheet"));
var _css = _interopRequireDefault(require("../../style/css"));
var _Text = _interopRequireDefault(require("../Text"));
var _utils = require("../../utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const propTypes = {
  children: _propTypes.default.node.isRequired,
  lead: _propTypes.default.bool,
  // eslint-disable-next-line react/forbid-prop-types
  style: _propTypes.default.any
};
const styles = _StyleSheet.default.create({
  paragraph: (0, _css.default)`
    margin-top: 0;
    margin-bottom: $paragraph-margin-bottom;
  `,
  '.lead': (0, _css.default)`
    font-size: $lead-font-size;
    line-height: $lead-font-size * $line-height-base; // added for bootstrap-rn
    font-weight: $lead-font-weight;
  `
});
const Heading = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    children,
    lead,
    style,
    ...elementProps
  } = props;
  const classes = (0, _utils.getStyles)(styles, ['paragraph', lead && '.lead']);

  // Accessiblity role paragraph is only supported on web.
  const role = _reactNative.Platform.OS === 'web' ? 'paragraph' : null;
  return /*#__PURE__*/_react.default.createElement(_Text.default, _extends({}, elementProps, {
    ref: ref,
    role: role,
    style: [classes, style]
  }), children);
});
Heading.displayName = 'Heading';
Heading.propTypes = propTypes;
var _default = exports.default = Heading;
//# sourceMappingURL=Paragraph.js.map