"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = useAction;
var _utils = require("../utils");
const getActionHook = (toggle, dismiss) => {
  if (toggle) {
    return toggle.useToggle || toggle;
  }
  if (dismiss) {
    return dismiss.useDismiss || dismiss;
  }
  return null;
};
function useAction(props, ref) {
  const {
    toggle,
    dismiss,
    ...restProps
  } = props;
  const useActionHook = getActionHook(toggle, dismiss);
  if (!useActionHook) {
    return [props, ref];
  }
  if (typeof useActionHook !== 'function') {
    throw new Error('Action hook must be of type function.');
  }
  const {
    ref: actionRef,
    ...actionProps
  } = useActionHook(restProps);
  return [actionProps, (0, _utils.concatRefs)(actionRef, ref)];
}
//# sourceMappingURL=useAction.js.map