"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = useList;
var _react = _interopRequireDefault(require("react"));
var _ListContext = _interopRequireDefault(require("../components/helpers/ListContext"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const wrapChildren = (children, cache) => _react.default.Children.map(children, child => {
  if (child === null) {
    return null;
  }
  if (child.type === _react.default.Fragment) {
    return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, {
      key: child.key
    }, wrapChildren(child.props.children, cache));
  }
  if ( /*#__PURE__*/_react.default.isValidElement(child) && typeof child === 'object') {
    // eslint-disable-next-line no-param-reassign
    cache.count += 1;
    const pos = cache.count;
    return /*#__PURE__*/_react.default.createElement(_ListContext.default.Provider, {
      value: {
        nth(value) {
          return pos === value;
        },
        get first() {
          return pos === 1;
        },
        get last() {
          return pos === cache.count;
        },
        get length() {
          return cache.count;
        }
      },
      key: child.key
    }, child);
  }
  return null;
});
function useList(children) {
  return wrapChildren(children, {
    count: 0
  });
}
//# sourceMappingURL=useList.js.map