"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = useMedia;
var _react = require("react");
var _Context = _interopRequireDefault(require("../Context"));
var _StyleSheet = _interopRequireDefault(require("../style/StyleSheet"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function useMedia() {
  const context = (0, _react.useContext)(_Context.default);
  const viewport = context.getViewport();
  const breakpoints = _StyleSheet.default.value('grid-breakpoints');
  const breakpointKeys = Object.keys(breakpoints);
  return {
    up(point) {
      return breakpointKeys.indexOf(viewport) >= breakpointKeys.indexOf(point);
    },
    down(point) {
      return breakpointKeys.indexOf(viewport) <= breakpointKeys.indexOf(point);
    },
    only(point) {
      return viewport === point;
    },
    between(lower, upper) {
      return this.up(lower) && this.down(upper);
    }
  };
}
//# sourceMappingURL=useMedia.js.map