"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = useModifier;
var _Context = _interopRequireDefault(require("../Context"));
var _utils = require("../utils");
var _useForcedContext = _interopRequireDefault(require("./useForcedContext"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function useModifier(name, props, ref) {
  const context = (0, _useForcedContext.default)(_Context.default);
  const useModifierHook = context.modifiers[name];
  if (!useModifier) {
    return [props, ref];
  }
  const {
    ref: modifierRef,
    ...modifierProps
  } = useModifierHook(props);
  return [modifierProps, (0, _utils.concatRefs)(modifierRef, ref)];
}
//# sourceMappingURL=useModifier.js.map