"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = makeTheme;
var _transform = _interopRequireDefault(require("./transform"));
var _variables = _interopRequireDefault(require("../theme/variables"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const extractVariables = function (source) {
  let baseVariables = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  let options = arguments.length > 2 ? arguments[2] : undefined;
  if (typeof source !== 'function') {
    // TODO: Resolve t => ... functions on source object.
    return {
      ...source,
      ...baseVariables
    };
  }
  const result = (0, _transform.default)(source.ast.children, baseVariables, options);
  return {
    ...result[0].variables,
    ...baseVariables
  };
};
function makeTheme(customVariables) {
  const customTheme = extractVariables(customVariables);
  return extractVariables(_variables.default, customTheme, {
    preferTheme: true
  });
}
//# sourceMappingURL=makeTheme.js.map