"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _variable = _interopRequireDefault(require("./rules/variable"));
var _declaration = _interopRequireDefault(require("./rules/declaration"));
var _directive = _interopRequireDefault(require("./rules/directive"));
var _selector = _interopRequireDefault(require("./rules/selector"));
var _comment = _interopRequireDefault(require("./rules/comment"));
var _isWhitespace = _interopRequireDefault(require("./isWhitespace"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function parseBlock(input) {
  if ((0, _isWhitespace.default)(input.peek())) {
    input.charsWhile(_isWhitespace.default);
    return null;
  }
  if (_variable.default.locate(input)) {
    return _variable.default.read(input);
  }
  if (_declaration.default.locate(input)) {
    return _declaration.default.read(input);
  }
  if (_selector.default.locate(input)) {
    return _selector.default.read(input, parseBlock);
  }
  if (_directive.default.locate(input)) {
    return _directive.default.read(input, parseBlock);
  }
  if (_comment.default.locate(input)) {
    return _comment.default.read(input);
  }
  throw new Error(`CSS syntax error: Unknown error at "${input.peek()}"`);
}
var _default = exports.default = parseBlock;
//# sourceMappingURL=parseBlock.js.map