"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _isIdent = _interopRequireDefault(require("../isIdent"));
var _isWhitespace = _interopRequireDefault(require("../isWhitespace"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const consumeArgumentSeperator = input => {
  if (input.peek() !== ',') {
    return false;
  }
  input.read(',');
  return true;
};
const directive = {
  locate(input) {
    return input.peek() === '@';
  },
  read(input, parseBlock) {
    input.read('@');
    const directiveName = input.charsWhile(_isIdent.default);
    if (directiveName !== 'include') {
      throw new Error('Only @include directive is supported.');
    }
    input.charsWhile(_isWhitespace.default);
    const name = input.charsWhile(_isIdent.default);
    if (name.length === 0) {
      throw new Error('No name.');
    }
    input.charsWhile(_isWhitespace.default);
    input.read('(');
    const args = [];
    do {
      input.charsWhile(_isWhitespace.default);
      args.push(input.charsWhile(_isIdent.default));
      input.charsWhile(_isWhitespace.default);
    } while (consumeArgumentSeperator(input));
    input.read(')');
    input.charsWhile(_isWhitespace.default);
    input.read('{');
    const children = [];
    while (input.peek() !== '}') {
      const block = parseBlock(input);
      if (block) {
        children.push(block);
      }
    }
    input.read('}');
    return {
      type: 'block',
      scopes: [{
        type: 'mixin',
        name,
        args
      }],
      children
    };
  }
};
var _default = exports.default = directive;
//# sourceMappingURL=directive.js.map