"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _isIdent = _interopRequireDefault(require("../isIdent"));
var _isWhitespace = _interopRequireDefault(require("../isWhitespace"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const SELECTOR_TYPES = ['hover', 'focus', 'focus-visible', 'active'];
const selector = {
  locate(input) {
    return input.peek() === '&' && input.peek(1) === ':';
  },
  read(input, parseBlock) {
    input.read('&');
    input.read(':');
    const name = input.charsWhile(_isIdent.default);
    if (!SELECTOR_TYPES.includes(name)) {
      throw new Error(`CSS syntax error: Unexpected selector name "${name}".`);
    }
    input.charsWhile(_isWhitespace.default);
    input.read('{');
    const children = [];
    while (input.peek() !== '}') {
      const block = parseBlock(input);
      if (block) {
        children.push(block);
      }
    }
    input.read('}');
    return {
      type: 'block',
      scopes: [{
        type: 'selector',
        name
      }],
      children
    };
  }
};
var _default = exports.default = selector;
//# sourceMappingURL=selector.js.map