"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _math = require("../math");
const formulaRE = /([+-]+)?([\d.Ee]+)(rem|px|%)?\s*(\+|-|\*|%)\s*([+-]+)?([\d.Ee]+)(rem|px|%)?/g;
function formula(value) {
  // Naïve approach to calculate simple formulas.
  // TODO: Support more complex formulas including parenthesis.
  return value.replace(formulaRE, function (_) {
    let leftUnary = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '';
    let leftNumber = arguments.length > 2 ? arguments[2] : undefined;
    let leftUnit = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : '';
    let operator = arguments.length > 4 ? arguments[4] : undefined;
    let rightUnary = arguments.length > 5 && arguments[5] !== undefined ? arguments[5] : '';
    let rightNumber = arguments.length > 6 ? arguments[6] : undefined;
    let rightUnit = arguments.length > 7 && arguments[7] !== undefined ? arguments[7] : '';
    const leftValue = `${leftUnary}${leftNumber}${leftUnit}`;
    const rightValue = `${rightUnary}${rightNumber}${rightUnit}`;
    return (0, _math.calculate)(leftValue, operator, rightValue);
  });
}
var _default = exports.default = formula;
//# sourceMappingURL=formula.js.map