"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = backgroundSize;
var _cssToReactNative = require("css-to-react-native");
// Spec: https://w3c.github.io/csswg-drafts/css-backgrounds/#the-background-size
function backgroundSize(value) {
  const values = value.split(' ');
  const [first, second = 'auto'] = values;
  if (values.length === 1) {
    return {
      backgroundSize: (0, _cssToReactNative.transformRawValue)('backgroundSize', first)
    };
  }
  if (values.length === 2) {
    return {
      backgroundSize: {
        width: (0, _cssToReactNative.transformRawValue)('backgroundSize', first),
        height: (0, _cssToReactNative.transformRawValue)('backgroundSize', second)
      }
    };
  }
  return null;
}
//# sourceMappingURL=backgroundSize.js.map