"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.YELLOWS = exports.THEME_COLORS = exports.TEALS = exports.SPACERS = exports.REDS = exports.PURPLES = exports.POSITION_VALUES = exports.PINKS = exports.ORANGES = exports.INDIGOS = exports.GRID_ROW_COLUMNS = exports.GRID_COLUMNS = exports.GRID_BREAKPOINTS = exports.GREENS = exports.GRAYS = exports.FORM_VALIDATION_STATES = exports.FONT_SIZES = exports.DISPLAY_FONT_SIZES = exports.CYANS = exports.CONTAINER_MAX_WIDTHS = exports.COLORS = exports.BORDER_WIDTHS = exports.BLUES = exports.ASPECT_RATIOS = void 0;
var _utils = require("../utils");
// These are proxy objects for the Bootstrap Sass maps that provide the map
// keys, but not the resolved values. The values are added later by the used
// theme.

// Color system

const GRAYS = exports.GRAYS = (0, _utils.makeProxy)('grays', ['100', '200', '300', '400', '500', '600', '700', '800', '900']);
const COLORS = exports.COLORS = (0, _utils.makeProxy)('colors', ['blue', 'indigo', 'purple', 'pink', 'red', 'orange', 'yellow', 'green', 'teal', 'cyan']);
const THEME_COLORS = exports.THEME_COLORS = (0, _utils.makeProxy)('theme-colors', ['primary', 'secondary', 'success', 'info', 'warning', 'danger', 'light', 'dark']);
const BLUES = exports.BLUES = (0, _utils.makeProxy)('blues', ['blue-100', 'blue-200', 'blue-300', 'blue-400', 'blue-500', 'blue-600', 'blue-700', 'blue-800', 'blue-900']);
const INDIGOS = exports.INDIGOS = (0, _utils.makeProxy)('indigos', ['indigo-100', 'indigo-200', 'indigo-300', 'indigo-400', 'indigo-500', 'indigo-600', 'indigo-700', 'indigo-800', 'indigo-900']);
const PURPLES = exports.PURPLES = (0, _utils.makeProxy)('purples', ['purple-100', 'purple-200', 'purple-300', 'purple-400', 'purple-500', 'purple-600', 'purple-700', 'purple-800', 'purple-900']);
const PINKS = exports.PINKS = (0, _utils.makeProxy)('pinks', ['pink-100', 'pink-200', 'pink-300', 'pink-400', 'pink-500', 'pink-600', 'pink-700', 'pink-800', 'pink-900']);
const REDS = exports.REDS = (0, _utils.makeProxy)('reds', ['red-100', 'red-200', 'red-300', 'red-400', 'red-500', 'red-600', 'red-700', 'red-800', 'red-900']);
const ORANGES = exports.ORANGES = (0, _utils.makeProxy)('oranges', ['orange-100', 'orange-200', 'orange-300', 'orange-400', 'orange-500', 'orange-600', 'orange-700', 'orange-800', 'orange-900']);
const YELLOWS = exports.YELLOWS = (0, _utils.makeProxy)('yellows', ['yellow-100', 'yellow-200', 'yellow-300', 'yellow-400', 'yellow-500', 'yellow-600', 'yellow-700', 'yellow-800', 'yellow-900']);
const GREENS = exports.GREENS = (0, _utils.makeProxy)('greens', ['green-100', 'green-200', 'green-300', 'green-400', 'green-500', 'green-600', 'green-700', 'green-800', 'green-900']);
const TEALS = exports.TEALS = (0, _utils.makeProxy)('teals', ['teal-100', 'teal-200', 'teal-300', 'teal-400', 'teal-500', 'teal-600', 'teal-700', 'teal-800', 'teal-900']);
const CYANS = exports.CYANS = (0, _utils.makeProxy)('cyans', ['cyan-100', 'cyan-200', 'cyan-300', 'cyan-400', 'cyan-500', 'cyan-600', 'cyan-700', 'cyan-800', 'cyan-900']);

// Spacing
//
// Control the default styling of most Bootstrap elements by modifying these
// variables. Mostly focused on spacing.
// You can add more entries to the $spacers map, should you need more variation.

const SPACERS = exports.SPACERS = (0, _utils.makeProxy)('spacers', [0, 1, 2, 3, 4, 5]);

// Position
//
// Define the edge positioning anchors of the position utilities.

const POSITION_VALUES = exports.POSITION_VALUES = (0, _utils.makeProxy)('position-values', [0, 50, 100]);

// Grid breakpoints
//
// Define the minimum dimensions at which your layout will change,
// adapting to different screen sizes, for use in media queries.

const GRID_BREAKPOINTS = exports.GRID_BREAKPOINTS = (0, _utils.makeProxy)('grid-breakpoints', ['xs', 'sm', 'md', 'lg', 'xl', 'xxl']);

// Grid containers
//
// Define the maximum width of ".container" for different screen sizes.

const CONTAINER_MAX_WIDTHS = exports.CONTAINER_MAX_WIDTHS = (0, _utils.makeProxy)('container-max-widths', ['sm', 'md', 'lg', 'xl', 'xxl']);

// Grid columns
//
// Set the number of columns and specify the width of the gutters.

const GRID_COLUMNS = exports.GRID_COLUMNS = 12;
const GRID_ROW_COLUMNS = exports.GRID_ROW_COLUMNS = 6;

// Components
//
// Define common padding and border radius sizes and more.

const BORDER_WIDTHS = exports.BORDER_WIDTHS = (0, _utils.makeProxy)('border-widths', [1, 2, 3, 4, 5]);
const ASPECT_RATIOS = exports.ASPECT_RATIOS = (0, _utils.makeProxy)('aspect-ratios', ['1x1', '4x3', '16x9', '21x9']);

// Typography
//
// Font, line-height, and color for body text, headings, and more.

const FONT_SIZES = exports.FONT_SIZES = (0, _utils.makeProxy)('font-sizes', [1, 2, 3, 4, 5, 6]);
const DISPLAY_FONT_SIZES = exports.DISPLAY_FONT_SIZES = (0, _utils.makeProxy)('display-font-sizes', [1, 2, 3, 4, 5, 6]);

// Forms

const FORM_VALIDATION_STATES = exports.FORM_VALIDATION_STATES = (0, _utils.makeProxy)('form-validation-states', ['valid', 'invalid']);
const proxies = {
  GRAYS,
  COLORS,
  THEME_COLORS,
  BLUES,
  INDIGOS,
  PURPLES,
  PINKS,
  REDS,
  ORANGES,
  YELLOWS,
  GREENS,
  TEALS,
  CYANS,
  SPACERS,
  POSITION_VALUES,
  GRID_BREAKPOINTS,
  CONTAINER_MAX_WIDTHS,
  GRID_COLUMNS,
  GRID_ROW_COLUMNS,
  BORDER_WIDTHS,
  ASPECT_RATIOS,
  FONT_SIZES,
  DISPLAY_FONT_SIZES,
  FORM_VALIDATION_STATES
};
var _default = exports.default = proxies;
//# sourceMappingURL=proxies.js.map