function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import PropTypes from 'prop-types';
import { SafeAreaView as BaseSafeAreaView } from 'react-native';
import StyleSheet from '../style/StyleSheet';
import css from '../style/css';
import { getStyles } from '../utils';
import TextStyleContext from '../style/TextStyleContext';
import useMedia from '../hooks/useMedia';
import useStyle from '../hooks/useStyle';
const propTypes = {
  children: PropTypes.node.isRequired,
  // eslint-disable-next-line react/forbid-prop-types
  style: PropTypes.any,
  // eslint-disable-next-line react/forbid-prop-types
  textStyle: PropTypes.any,
  // eslint-disable-next-line react/forbid-prop-types
  styleName: PropTypes.any
};
const styles = StyleSheet.create({
  body: css`
    background-color: $body-bg;
    flex-grow: 1; // added for bootstrap-rn
    flex-shrink: 1; // added for bootstrap-rn
  `,
  'body --text': css`
    color: $body-color;
    text-align: $body-text-align;
  `
});
const Body = /*#__PURE__*/React.forwardRef((props, ref) => {
  const {
    children,
    style,
    textStyle,
    styleName,
    ...elementProps
  } = props;
  const classes = getStyles(styles, ['body']);
  const textClasses = getStyles(styles, ['body --text']);
  const media = useMedia();
  const resolveStyle = useStyle([classes, style], styleName);
  const resolveTextStyle = useStyle([textClasses, textStyle]);
  return /*#__PURE__*/React.createElement(BaseSafeAreaView, _extends({}, elementProps, {
    ref: ref,
    style: resolveStyle({
      media
    })
  }), /*#__PURE__*/React.createElement(TextStyleContext.Provider, {
    value: {
      style: resolveTextStyle({
        media
      })
    }
  }, children));
});
Body.displayName = 'Body';
Body.propTypes = propTypes;
export default Body;
//# sourceMappingURL=Body.js.map