function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import { Platform } from 'react-native';
import PropTypes from 'prop-types';
import View from './View';
import { concatRefs } from '../utils';
const propTypes = {
  children: PropTypes.node.isRequired,
  htmlFor: PropTypes.string
};
const Label = /*#__PURE__*/React.forwardRef((props, ref) => {
  const {
    children,
    htmlFor,
    ...elementProps
  } = props;

  // Ref: https://github.com/necolas/react-native-web/issues/1651
  const forRef = React.useCallback(node => {
    if (Platform.OS !== 'web' || !htmlFor || !node) {
      return;
    }
    node.setAttribute('for', htmlFor);
  }, []);
  const role = Platform.OS === 'web' ? 'label' : null;
  return /*#__PURE__*/React.createElement(View, _extends({}, elementProps, {
    ref: concatRefs(forRef, ref),
    role: role
  }), children);
});
Label.displayName = 'Label';
Label.propTypes = propTypes;
export default Label;
//# sourceMappingURL=Label.js.map