function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { useState } from 'react';
import PropTypes from 'prop-types';
import { TextInput as BaseTextInput } from 'react-native';
import useMedia from '../hooks/useMedia';
import useStyle from '../hooks/useStyle';
const propTypes = {
  onFocus: PropTypes.func,
  onBlur: PropTypes.func,
  autoFocus: PropTypes.bool,
  // eslint-disable-next-line react/forbid-prop-types
  style: PropTypes.any,
  // eslint-disable-next-line react/forbid-prop-types
  styleName: PropTypes.any
};
const TextInput = /*#__PURE__*/React.forwardRef((props, ref) => {
  const {
    onFocus = () => {},
    onBlur = () => {},
    autoFocus = false,
    style,
    styleName,
    ...elementProps
  } = props;
  const [focused, setFocused] = useState(autoFocus);
  const media = useMedia();
  const resolveStyle = useStyle(style, styleName);
  return /*#__PURE__*/React.createElement(BaseTextInput, _extends({}, elementProps, {
    ref: ref,
    onFocus: event => {
      setFocused(true);
      onFocus(event);
    },
    onBlur: event => {
      setFocused(false);
      onBlur(event);
    },
    autoFocus: autoFocus,
    style: resolveStyle({
      media,
      interaction: {
        focus: focused,
        focusVisible: focused
      }
    })
  }));
});
TextInput.displayName = 'TextInput';
TextInput.propTypes = propTypes;
export default TextInput;
//# sourceMappingURL=TextInput.js.map