function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { useContext } from 'react';
import PropTypes from 'prop-types';
import { View as BaseView } from 'react-native';
import TextStyleContext from '../style/TextStyleContext';
import useMedia from '../hooks/useMedia';
import useStyle from '../hooks/useStyle';
const propTypes = {
  children: PropTypes.node,
  // eslint-disable-next-line react/forbid-prop-types
  style: PropTypes.any,
  // eslint-disable-next-line react/forbid-prop-types
  textStyle: PropTypes.any,
  // eslint-disable-next-line react/forbid-prop-types
  styleName: PropTypes.any
};
const View = /*#__PURE__*/React.forwardRef((props, ref) => {
  const {
    children,
    style,
    textStyle,
    styleName,
    ...elementProps
  } = props;
  const media = useMedia();
  const context = useContext(TextStyleContext);
  const resolveStyle = useStyle(style, styleName);
  const resolveTextStyle = useStyle([context && context.style, textStyle]);
  const hasTextStyle = context && context.style || textStyle;
  return /*#__PURE__*/React.createElement(BaseView, _extends({}, elementProps, {
    ref: ref,
    style: resolveStyle({
      media
    })
  }), hasTextStyle ? /*#__PURE__*/React.createElement(TextStyleContext.Provider, {
    value: {
      style: resolveTextStyle({
        media
      }),
      hasAncestor: context && context.hasTextAncestor
    }
  }, children) : children);
});
View.displayName = 'View';
View.propTypes = propTypes;
export default View;
//# sourceMappingURL=View.js.map