function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import PropTypes from 'prop-types';
import StyleSheet from '../../style/StyleSheet';
import css from '../../style/css';
import View from '../View';
import { getStyles, each } from '../../utils';
import { THEME_COLORS } from '../../theme/proxies';
import { shiftColor } from '../../theme/functions';
const propTypes = {
  children: PropTypes.node.isRequired,
  color: PropTypes.oneOf(Object.keys(THEME_COLORS)),
  dismissible: PropTypes.bool,
  // eslint-disable-next-line react/forbid-prop-types
  style: PropTypes.any,
  // eslint-disable-next-line react/forbid-prop-types
  textStyle: PropTypes.any
};
const styles = StyleSheet.create({
  '.alert': css`
    position: relative;
    padding: $alert-padding-y $alert-padding-x;
    margin-bottom: $alert-margin-bottom;
    background-color: transparent;
    border: $alert-border-width solid transparent;
    border-radius: $alert-border-radius;
  `,
  ...each(THEME_COLORS, (state, value) => ({
    [`.alert-${state}`]: css`
      background-color: ${shiftColor(value, t => t['alert-bg-scale'])};
      border-color: ${shiftColor(value, t => t['alert-border-scale'])};
    `,
    [`.alert-${state} --text`]: css`
      color: ${shiftColor(value, t => t['alert-color-scale'])};
    `
  })),
  '.alert-dismissible': {
    // TODO
  }
});
const Alert = /*#__PURE__*/React.forwardRef((props, ref) => {
  const {
    children,
    color = 'primary',
    dismissible = false,
    style,
    textStyle,
    ...elementProps
  } = props;
  const classes = getStyles(styles, ['.alert', `.alert-${color}`, dismissible && '.alert-dismissible']);
  const textClasses = getStyles(styles, [`.alert-${color} --text`]);
  return /*#__PURE__*/React.createElement(View, _extends({}, elementProps, {
    ref: ref,
    role: "alert",
    style: [classes, style],
    textStyle: [textClasses, textStyle]
  }), children);
});
Alert.displayName = 'Alert';
Alert.propTypes = propTypes;
export default Alert;
//# sourceMappingURL=Alert.js.map