function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import { Platform } from 'react-native';
import PropTypes from 'prop-types';
import StyleSheet from '../../style/StyleSheet';
import css from '../../style/css';
import View from '../View';
import { getStyles } from '../../utils';
import ButtonGroupContext from './ButtonGroupContext';
import useList from '../../hooks/useList';
const propTypes = {
  children: PropTypes.node.isRequired,
  size: PropTypes.oneOf(['lg', 'sm']),
  // eslint-disable-next-line react/forbid-prop-types
  style: PropTypes.any
};
const styles = StyleSheet.create({
  '.btn-group': css`
    flex-direction: row; // added for bootstrap-rn
    border-radius: $btn-border-radius;
  `
});
const ButtonGroup = /*#__PURE__*/React.forwardRef((props, ref) => {
  const {
    children,
    size,
    style,
    ...elementProps
  } = props;
  const list = useList(children);
  const classes = getStyles(styles, ['.btn-group']);

  // Accessiblity role tabpanel is only supported on web.
  const role = Platform.OS === 'web' ? 'group' : null;
  return /*#__PURE__*/React.createElement(View, _extends({}, elementProps, {
    ref: ref,
    role: role,
    style: [classes, style]
  }), /*#__PURE__*/React.createElement(ButtonGroupContext.Provider, {
    value: {
      size
    }
  }, list));
});
ButtonGroup.displayName = 'ButtonGroup';
ButtonGroup.propTypes = propTypes;
export default ButtonGroup;
//# sourceMappingURL=ButtonGroup.js.map