import React from 'react';
import PropTypes from 'prop-types';
import CollapseContext from './CollapseContext';
import useCollapse from './useCollapse';
const propTypes = {
  children: PropTypes.node.isRequired,
  defaultVisible: PropTypes.bool,
  visible: PropTypes.bool,
  onToggle: PropTypes.func
};
const CollapseProvider = props => {
  const {
    children,
    defaultVisible = false,
    visible,
    onToggle
  } = props;
  const collapse = useCollapse(defaultVisible, visible, onToggle);
  return /*#__PURE__*/React.createElement(CollapseContext.Provider, {
    value: collapse
  }, children);
};
CollapseProvider.displayName = 'CollapseProvider';
CollapseProvider.propTypes = propTypes;
export default CollapseProvider;
//# sourceMappingURL=CollapseProvider.js.map