function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import PropTypes from 'prop-types';
import StyleSheet from '../../style/StyleSheet';
import { getStyles } from '../../utils';
import css from '../../style/css';
import View from '../View';
import Heading from '../Heading';
const propTypes = {
  children: PropTypes.node.isRequired,
  // eslint-disable-next-line react/forbid-prop-types
  style: PropTypes.any,
  // eslint-disable-next-line react/forbid-prop-types
  textStyle: PropTypes.any
};
const styles = StyleSheet.create({
  '.dropdown-header': css`
    // display: block;
    padding: $dropdown-header-padding;
  `,
  '.dropdown-header --text': css`
    margin-bottom: 0; // for use with heading elements
    font-size: $font-size-sm;
    color: $dropdown-header-color;
    // white-space: nowrap; // as with > li > a
  `
});
const DropdownHeader = /*#__PURE__*/React.forwardRef((props, ref) => {
  const {
    children,
    style,
    textStyle,
    ...elementProps
  } = props;
  const classes = getStyles(styles, ['.dropdown-header']);
  const textClasses = getStyles(styles, ['.dropdown-header --text']);

  // composite component
  return /*#__PURE__*/React.createElement(View, _extends({}, elementProps, {
    ref: ref,
    style: [classes, style]
  }), /*#__PURE__*/React.createElement(Heading, {
    size: 6,
    style: [textClasses, textStyle]
  }, children));
});
DropdownHeader.displayName = 'DropdownHeader';
DropdownHeader.propTypes = propTypes;
export default DropdownHeader;
//# sourceMappingURL=DropdownHeader.js.map