function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import PropTypes from 'prop-types';
import useForcedContext from '../../hooks/useForcedContext';
import FormCheckInput from './FormCheckInput';
import RadioGroup from './RadioGroup';
import RadioContext from './RadioContext';
const propTypes = {
  value: PropTypes.oneOfType([PropTypes.bool, PropTypes.number, PropTypes.string, PropTypes.object])
};
const Radio = /*#__PURE__*/React.forwardRef((props, ref) => {
  const {
    value,
    ...elementProps
  } = props;
  const {
    selectedValue,
    onValueChange,
    disabled
  } = useForcedContext(RadioContext);
  return /*#__PURE__*/React.createElement(FormCheckInput, _extends({}, elementProps, {
    ref: ref,
    type: "radio",
    value: value === selectedValue,
    onValueChange: () => {
      onValueChange(value);
    },
    disabled: disabled
  }));
});
Radio.displayName = 'Radio';
Radio.propTypes = propTypes;
Radio.Group = RadioGroup;
export default Radio;
//# sourceMappingURL=Radio.js.map