function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import PropTypes from 'prop-types';
import View from '../View';
import RadioContext from './RadioContext';
const propTypes = {
  children: PropTypes.node.isRequired,
  selectedValue: PropTypes.oneOfType([PropTypes.bool, PropTypes.number, PropTypes.string, PropTypes.object]),
  onValueChange: PropTypes.func,
  disabled: PropTypes.bool
};
const RadioGroup = /*#__PURE__*/React.forwardRef((props, ref) => {
  const {
    children,
    selectedValue,
    onValueChange = () => {},
    disabled = false,
    ...elementProps
  } = props;
  return /*#__PURE__*/React.createElement(View, _extends({}, elementProps, {
    ref: ref,
    role: "radiogroup"
  }), /*#__PURE__*/React.createElement(RadioContext.Provider, {
    value: {
      selectedValue,
      onValueChange,
      disabled
    }
  }, children));
});
RadioGroup.displayName = 'RadioGroup';
RadioGroup.propTypes = propTypes;
export default RadioGroup;
//# sourceMappingURL=RadioGroup.js.map