function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import { Picker as BasePicker, StyleSheet as StyleUtils } from 'react-native';
import PropTypes from 'prop-types';
import useBackground from '../../../hooks/useBackground';
import PickerWebContext from './PickerWebContext';
const propTypes = {
  children: PropTypes.node.isRequired,
  selectedValue: PropTypes.oneOfType([PropTypes.bool, PropTypes.number, PropTypes.string, PropTypes.object]),
  onValueChange: PropTypes.func,
  onFocus: PropTypes.func,
  onBlur: PropTypes.func,
  placeholder: PropTypes.string,
  placeholderTextColor: PropTypes.string,
  disabled: PropTypes.bool,
  // eslint-disable-next-line react/forbid-prop-types
  style: PropTypes.any
};
const PLACEHOLDER = '__PLACEHOLDER__';
const getOptionStyle = (style, showPlaceholder) => {
  if (!showPlaceholder) {
    return null;
  }
  const flattenedStyle = StyleUtils.flatten(style);
  return flattenedStyle.color;
};
const PickerWeb = /*#__PURE__*/React.forwardRef((props, ref) => {
  const {
    children,
    selectedValue,
    onValueChange = () => {},
    onFocus = () => {},
    onBlur = () => {},
    placeholder,
    placeholderTextColor,
    disabled,
    style,
    ...elementProps
  } = props;
  const background = useBackground(style);
  const showPlaceholder = selectedValue === undefined || selectedValue === null;
  return /*#__PURE__*/React.createElement(BasePicker, _extends({}, elementProps, {
    ref: ref,
    selectedValue: showPlaceholder ? PLACEHOLDER : selectedValue,
    onValueChange: onValueChange,
    onFocus: onFocus,
    onBlur: onBlur,
    disabled: disabled,
    style: [background.style, showPlaceholder && {
      color: placeholderTextColor
    }]
  }), /*#__PURE__*/React.createElement("option", {
    value: PLACEHOLDER,
    disabled: true,
    hidden: true
  }, placeholder), /*#__PURE__*/React.createElement(PickerWebContext.Provider, {
    value: {
      optionColor: getOptionStyle(background.style, showPlaceholder)
    }
  }, children));
});
PickerWeb.propTypes = propTypes;
export default PickerWeb;
//# sourceMappingURL=PickerWeb.js.map