function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import PropTypes from 'prop-types';
import StyleSheet from '../../style/StyleSheet';
import css from '../../style/css';
import View from '../View';
import { getStyles } from '../../utils';
const propTypes = {
  children: PropTypes.node.isRequired,
  rows: PropTypes.number,
  // eslint-disable-next-line react/forbid-prop-types
  style: PropTypes.any
};
const styles = StyleSheet.create({
  '.row': css`
    display: flex;
    flex-direction: row; // added for bootstrap-rn
    flex-wrap: wrap;
    margin-top: 0;
    margin-right: -0.5 * $grid-gutter-width;
    margin-left: -0.5 * $grid-gutter-width;
  `
});
const Row = /*#__PURE__*/React.forwardRef((props, ref) => {
  const {
    children,
    style,
    ...elementProps
  } = props;
  const classes = getStyles(styles, ['.row']);
  return /*#__PURE__*/React.createElement(View, _extends({}, elementProps, {
    ref: ref,
    style: [classes, style]
  }), children);
});
Row.displayName = 'Row';
Row.propTypes = propTypes;
export default Row;
//# sourceMappingURL=Row.js.map