function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import PropTypes from 'prop-types';
import StyleSheet from '../../style/StyleSheet';
import View from '../View';
import css from '../../style/css';
import { getStyles } from '../../utils';
const propTypes = {
  children: PropTypes.node.isRequired,
  // eslint-disable-next-line react/forbid-prop-types
  style: PropTypes.any
};
const styles = StyleSheet.create({
  '.modal-header': css`
    display: flex;
    flex-direction: row; // added for bootstrap-rn
    flex-shrink: 0;
    align-items: center;
    justify-content: space-between; // Put modal header elements (title and dismiss) on opposite ends
    padding: $modal-header-padding;
    border-bottom-width: $modal-header-border-width;
    border-style: solid;
    border-color: $modal-header-border-color;
    border-top-left-radius: $modal-content-inner-border-radius;
    border-top-right-radius: $modal-content-inner-border-radius;
  `
});
const ModalHeader = /*#__PURE__*/React.forwardRef((props, ref) => {
  const {
    children,
    style,
    ...elementProps
  } = props;
  const classes = getStyles(styles, ['.modal-header']);
  return /*#__PURE__*/React.createElement(View, _extends({}, elementProps, {
    ref: ref,
    style: [classes, style]
  }), children);
});
ModalHeader.displayName = 'ModalHeader';
ModalHeader.propTypes = propTypes;
export default ModalHeader;
//# sourceMappingURL=ModalHeader.js.map