function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import { Platform } from 'react-native';
import PropTypes from 'prop-types';
import StyleSheet from '../../style/StyleSheet';
import css from '../../style/css';
import View from '../View';
import { getStyles, getElementId } from '../../utils';
import useForcedContext from '../../hooks/useForcedContext';
import TabContext from './TabContext';
const propTypes = {
  children: PropTypes.node.isRequired,
  id: PropTypes.string.isRequired,
  // eslint-disable-next-line react/forbid-prop-types
  style: PropTypes.any
};
const styles = StyleSheet.create({
  '.tab-pane': css`
    display: none;
  `,
  '.active': css`
    display: flex;
  `
});
const TabPane = /*#__PURE__*/React.forwardRef((props, ref) => {
  const {
    id: target,
    style,
    ...elementProps
  } = props;
  const tabbable = useForcedContext(TabContext);
  const classes = getStyles(styles, ['.tab-pane', tabbable.activeTarget === target && '.active']);
  const id = getElementId(tabbable.identifier, target);

  // Accessiblity role tabpanel is only supported on web.
  const role = Platform.OS === 'web' ? 'tabpanel' : null;
  return /*#__PURE__*/React.createElement(View, _extends({}, elementProps, {
    ref: ref,
    id: id,
    role: role,
    "aria-labelledby": `${id}-tab`,
    style: [classes, style]
  }));
});
TabPane.displayName = 'TabPane';
TabPane.propTypes = propTypes;
export default TabPane;
//# sourceMappingURL=TabPane.js.map