function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import PropTypes from 'prop-types';
import StyleSheet from '../../style/StyleSheet';
import css from '../../style/css';
import View from '../View';
import useForcedContext from '../../hooks/useForcedContext';
import { GRID_BREAKPOINTS } from '../../theme/proxies';
import { infix, next } from '../../theme/breakpoints';
import { getStyles, each } from '../../utils';
import useMedia from '../../hooks/useMedia';
import NavbarContext from './NavbarContext';
const propTypes = {
  children: PropTypes.node.isRequired,
  // eslint-disable-next-line react/forbid-prop-types
  style: PropTypes.any
};
const styles = StyleSheet.create({
  '.navbar-collapse': css`
    flex-basis: 100%;
    flex-grow: 1;
    // For always expanded or extra full navbars, ensure content aligns itself
    // properly vertically. Can be easily overridden with flex utilities.
    // align-items: center;
  `,
  ...each(GRID_BREAKPOINTS, breakpoint => ({
    [`.navbar-expand${infix(next(breakpoint))} .navbar-collapse`]: css`
      @include media-breakpoint-up(${next(breakpoint)}) {
        flex-direction: row; // added for bootstrap-rn
        display: flex;
        flex-basis: auto;
        align-items: center; // added for bootstrap-rn
      }
    `
  }))
});
const NavbarCollapse = /*#__PURE__*/React.forwardRef((props, ref) => {
  const {
    children,
    style,
    ...elementProps
  } = props;
  const {
    expand,
    expanded
  } = useForcedContext(NavbarContext);
  const media = useMedia();
  const classes = getStyles(styles, ['.navbar-collapse', expand && `.navbar-expand${expand === true ? '' : `-${expand}`} .navbar-collapse`]);
  const show = expanded || expand && (expand === true || media.up(expand));
  if (!show) {
    return null;
  }
  return /*#__PURE__*/React.createElement(View, _extends({}, elementProps, {
    ref: ref,
    style: [classes, style]
  }), children);
});
NavbarCollapse.displayName = 'NavbarCollapse';
NavbarCollapse.propTypes = propTypes;
export default NavbarCollapse;
//# sourceMappingURL=NavbarCollapse.js.map