function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import { Platform } from 'react-native';
import PropTypes from 'prop-types';
import StyleSheet from '../../style/StyleSheet';
import css from '../../style/css';
import { getStyles } from '../../utils';
import useList from '../../hooks/useList';
import View from '../View';
import PaginationItem from './PaginationItem';
const propTypes = {
  children: PropTypes.node.isRequired,
  // eslint-disable-next-line react/forbid-prop-types
  style: PropTypes.any
};
const styles = StyleSheet.create({
  '.pagination': css`
    background-color: $white;
    flex-direction: row;
  `
});
const Pagination = /*#__PURE__*/React.forwardRef((props, ref) => {
  const {
    children,
    style,
    ...elementProps
  } = props;
  const list = useList(children);
  const classes = getStyles(styles, ['.pagination']);
  const role = Platform.OS === 'web' ? 'list' : null;
  return /*#__PURE__*/React.createElement(View, _extends({}, elementProps, {
    ref: ref,
    role: role,
    style: [classes, style]
  }), list);
});
Pagination.displayName = 'Pagination';
Pagination.propTypes = propTypes;
Pagination.Item = PaginationItem;
export default Pagination;
//# sourceMappingURL=Pagination.js.map