function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import PropTypes from 'prop-types';
import StyleSheet from '../../style/StyleSheet';
import css from '../../style/css';
import Text from '../Text';
import View from '../View';
import { getStyles } from '../../utils';
import useForcedContext from '../../hooks/useForcedContext';
import ProgressContext from './ProgressContext';
const propTypes = {
  children: PropTypes.node,
  value: PropTypes.number.isRequired,
  // eslint-disable-next-line react/forbid-prop-types
  style: PropTypes.any,
  // eslint-disable-next-line react/forbid-prop-types
  textStyle: PropTypes.any
};
const styles = StyleSheet.create({
  '.progress-bar': css`
    display: flex;
    flex-direction: column;
    justify-content: center;
    overflow: hidden;
    background-color: $progress-bar-bg;
    // @include transition($progress-bar-transition);
  `,
  '.progress-bar --text': css`
    color: $progress-bar-color;
    text-align: center;
    // white-space: nowrap;
  `
});
const ROUND_PRECISION = 1000;
const getPercentage = (value, min, max) => {
  const percentage = (value - min) / (max - min) * 100;
  return Math.round(percentage * ROUND_PRECISION) / ROUND_PRECISION;
};
const ProgressBar = /*#__PURE__*/React.forwardRef((props, ref) => {
  const {
    children,
    value,
    style,
    textStyle,
    ...elementProps
  } = props;
  const {
    min,
    max
  } = useForcedContext(ProgressContext);
  const classes = getStyles(styles, ['.progress-bar']);
  const textClasses = getStyles(styles, ['.progress-bar --text']);

  // composite component
  return /*#__PURE__*/React.createElement(View, _extends({}, elementProps, {
    ref: ref,
    role: "progressbar",
    "aria-valuenow": value,
    "aria-valuemin": min,
    "aria-valuemax": max,
    style: [classes, style, {
      width: `${getPercentage(value, min, max)}%`
    }]
  }), children && /*#__PURE__*/React.createElement(Text, {
    style: [textClasses, textStyle]
  }, children));
});
ProgressBar.displayName = 'ProgressBar';
ProgressBar.propTypes = propTypes;
export default ProgressBar;
//# sourceMappingURL=ProgressBar.js.map