function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import PropTypes from 'prop-types';
import StyleSheet from '../../style/StyleSheet';
import css from '../../style/css';
import View from '../View';
import { getStyles } from '../../utils';
import ToastContainerContext from './ToastContainerContext';
import useList from '../../hooks/useList';
const propTypes = {
  children: PropTypes.node.isRequired,
  // eslint-disable-next-line react/forbid-prop-types
  style: PropTypes.any
};
const styles = StyleSheet.create({
  '.toast-container': css`
    width: 100%; // max-content;
    max-width: 100%;
    // pointer-events: none;
  `
});
const ToastContainer = /*#__PURE__*/React.forwardRef((props, ref) => {
  const {
    children,
    style,
    ...elementProps
  } = props;
  const list = useList(children);
  const classes = getStyles(styles, ['.toast-container']);
  return /*#__PURE__*/React.createElement(View, _extends({}, elementProps, {
    ref: ref,
    style: [classes, style]
  }), /*#__PURE__*/React.createElement(ToastContainerContext.Provider, {
    value: true
  }, list));
});
ToastContainer.displayName = 'ToastContainer';
ToastContainer.propTypes = propTypes;
export default ToastContainer;
//# sourceMappingURL=ToastContainer.js.map