function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import PropTypes from 'prop-types';
import { OverlayContainer } from '@react-native-aria/overlays';
import Overlay from '../helpers/Overlay';
import BackdropHandler from '../helpers/BackdropHandler';
import useTrigger, { TriggerPropTypes } from '../../hooks/useTrigger';
import { normalizeNumber } from '../../style/math';
import StyleSheet from '../../style/StyleSheet';
import Tooltip from './Tooltip';
const propTypes = {
  tooltip: PropTypes.shape({
    title: PropTypes.node.isRequired,
    autoClose: PropTypes.oneOfType([PropTypes.bool, PropTypes.oneOf(['inside', 'outside'])]),
    ...TriggerPropTypes
  })
};
export default function injectTooltip(Target) {
  const OverlayTooltip = /*#__PURE__*/React.forwardRef((props, ref) => {
    /* eslint-disable react/prop-types */
    const {
      tooltip: {
        title,
        autoClose = 'outside',
        trigger = 'hover focus',
        placement = 'top',
        ...tooltipProps
      },
      ...elementProps
    } = props;
    /* eslint-enable */

    const {
      visible,
      setVisible,
      targetProps,
      targetRef,
      templateProps
    } = useTrigger(trigger, tooltipProps, elementProps, ref);
    const offset = normalizeNumber(StyleSheet.value('tooltip-arrow-height'));
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Target, _extends({}, elementProps, targetProps)), visible && /*#__PURE__*/React.createElement(OverlayContainer, null, /*#__PURE__*/React.createElement(Overlay, {
      placement: placement,
      targetRef: targetRef,
      arrowOffset: offset,
      visible: visible
    }, (overlay, overlayRef) => /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(BackdropHandler, {
      toggleRef: targetRef,
      dialogRef: overlayRef,
      onClose: () => {
        setVisible(false);
      },
      autoClose: autoClose
    }), /*#__PURE__*/React.createElement(Tooltip, _extends({}, templateProps, {
      ref: overlayRef,
      placement: overlay.placement,
      popper: overlay.rendered,
      style: [overlay.overlayProps.style, {
        maxHeight: 'auto',
        opacity: overlay.rendered ? 1 : 0
      }],
      arrowStyle: overlay.arrowProps.style
    }), /*#__PURE__*/React.createElement(Tooltip.Arrow, null), /*#__PURE__*/React.createElement(Tooltip.Inner, null, title))))));
  });
  OverlayTooltip.displayName = 'Overlay(Tooltip)';
  OverlayTooltip.propTypes = propTypes;
  return OverlayTooltip;
}
//# sourceMappingURL=injectTooltip.js.map