function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import { Platform } from 'react-native';
import PropTypes from 'prop-types';
import StyleSheet from '../../style/StyleSheet';
import css from '../../style/css';
import Text from '../Text';
import { getStyles } from '../../utils';
const propTypes = {
  children: PropTypes.node.isRequired,
  // eslint-disable-next-line react/forbid-prop-types
  style: PropTypes.any
};
const styles = StyleSheet.create({
  code: css`
    font-family: $font-family-code;
    font-size: $code-font-size;
    color: $code-color;
    @include platform(web) {
      word-wrap: break-word;
    }
  `
});
const Code = /*#__PURE__*/React.forwardRef((props, ref) => {
  const {
    children,
    style,
    ...elementProps
  } = props;
  const classes = getStyles(styles, ['code']);

  // Accessiblity role code is only supported on web.
  const role = Platform.OS === 'web' ? 'code' : null;
  return /*#__PURE__*/React.createElement(Text, _extends({}, elementProps, {
    ref: ref,
    role: role,
    style: [classes, style]
  }), children);
});
Code.displayName = 'Code';
Code.propTypes = propTypes;
export default Code;
//# sourceMappingURL=Code.js.map