import React, { useContext } from 'react';
import PropTypes from 'prop-types';
import TextStyleContext from './TextStyleContext';
const propTypes = {
  children: PropTypes.node,
  // eslint-disable-next-line react/forbid-prop-types
  style: PropTypes.any
};
function TextStyleProvider(props) {
  const {
    children,
    style
  } = props;
  const parentContext = useContext(TextStyleContext);
  return /*#__PURE__*/React.createElement(TextStyleContext.Provider, {
    value: {
      style: parentContext ? [parentContext.style, style] : style,
      hasTextAncestor: parentContext && parentContext.hasTextAncestor
    }
  }, children);
}
TextStyleProvider.propTypes = propTypes;
export default TextStyleProvider;
//# sourceMappingURL=TextStyleProvider.js.map