import transform from './transform';
import variables from '../theme/variables';
const extractVariables = function (source) {
  let baseVariables = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  let options = arguments.length > 2 ? arguments[2] : undefined;
  if (typeof source !== 'function') {
    // TODO: Resolve t => ... functions on source object.
    return {
      ...source,
      ...baseVariables
    };
  }
  const result = transform(source.ast.children, baseVariables, options);
  return {
    ...result[0].variables,
    ...baseVariables
  };
};
export default function makeTheme(customVariables) {
  const customTheme = extractVariables(customVariables);
  return extractVariables(variables, customTheme, {
    preferTheme: true
  });
}
//# sourceMappingURL=makeTheme.js.map