import { Platform, PixelRatio } from 'react-native';
const transformREMUnitRE = /([+-]+)?([\d.Ee]+)rem/g;
const convertRemToPx = value => PixelRatio.getFontScale() * 16 * value;
function rem(value) {
  if (Platform.OS === 'web') {
    return value;
  }
  return value.replace(transformREMUnitRE, function (_) {
    let unary = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '';
    let number = arguments.length > 2 ? arguments[2] : undefined;
    return `${unary}${convertRemToPx(number)}px`;
  });
}
export default rem;
//# sourceMappingURL=rem.js.map